/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.comunemodena;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
 * The persistent class for the areecommercialicc database table.
 * 
 */
@Entity
@Table(name="AreeCommercialiCC")
public class AreaCommercialeCC implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private AreaCommercialeCCPK id;

	@Column(nullable=false)
	private double percentuale;

    public AreaCommercialeCC() {
    }

	public AreaCommercialeCCPK getId() {
		return this.id;
	}

	public void setId(AreaCommercialeCCPK id) {
		this.id = id;
	}
	
	public double getPercentuale() {
		return this.percentuale;
	}

	public void setPercentuale(double percentuale) {
		this.percentuale = percentuale;
	}
	
}