/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.comunemodena;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="CentroDiCostoInvoiceLine")
public class CentroDiCostoInvoiceLine implements Serializable {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private long idCentroDiCostoInvoiceLine;
	
	@Column
	private double percentuale;
	
	//uni-directional many-to-one association to CentroDiCosto
    @ManyToOne
	@JoinColumn(name="IdSettore")
	private CentroDiCosto settore;

	//uni-directional many-to-one association to CentroDiCosto
    @ManyToOne
	@JoinColumn(name="IdServizio")
	private CentroDiCosto servizio;

	//uni-directional many-to-one association to CentroDiCosto
    @ManyToOne
	@JoinColumn(name="IdStruttura")
	private CentroDiCosto struttura;

	public long getIdCentroDiCostoInvoiceLine() {
		return idCentroDiCostoInvoiceLine;
	}

	public void setIdCentroDiCostoInvoiceLine(long idCentroDiCostoInvoiceLine) {
		this.idCentroDiCostoInvoiceLine = idCentroDiCostoInvoiceLine;
	}

	public double getPercentuale() {
		return percentuale;
	}

	public void setPercentuale(double percentuale) {
		this.percentuale = percentuale;
	}

	public CentroDiCosto getSettore() {
		return settore;
	}

	public void setSettore(CentroDiCosto settore) {
		this.settore = settore;
	}

	public CentroDiCosto getServizio() {
		return servizio;
	}

	public void setServizio(CentroDiCosto servizio) {
		this.servizio = servizio;
	}

	public CentroDiCosto getStruttura() {
		return struttura;
	}

	public void setStruttura(CentroDiCosto struttura) {
		this.struttura = struttura;
	}
    
    
    
}
