/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ws.comunemodena.sib;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for fatturaBean complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="fatturaBean">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="annoEsercizio" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codiceDivisione" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codiceSettore" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codiceUfficio" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="dataEmissione" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="dataEmissioneFatturaRef" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="fineCompetenzaEconomica" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="inizioCompetenzaEconomica" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="numeroEmissione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numeroEmissioneRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="righe" type="{http://webservice.sib.comune.modena.it/}rigaBean" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="tipoFattura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="totaleAliquota" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="totaleImponibile" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vatId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vatIdRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "fatturaBean", propOrder = {
    "annoEsercizio",
    "codiceDivisione",
    "codiceSettore",
    "codiceUfficio",
    "dataEmissione",
    "dataEmissioneFatturaRef",
    "fineCompetenzaEconomica",
    "inizioCompetenzaEconomica",
    "numeroEmissione",
    "numeroEmissioneRef",
    "righe",
    "tipoFattura",
    "totaleAliquota",
    "totaleImponibile",
    "username",
    "vatId",
    "vatIdRef"
})
public class FatturaBean {

    protected int annoEsercizio;
    protected int codiceDivisione;
    protected int codiceSettore;
    protected int codiceUfficio;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dataEmissione;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dataEmissioneFatturaRef;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar fineCompetenzaEconomica;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inizioCompetenzaEconomica;
    protected String numeroEmissione;
    protected String numeroEmissioneRef;
    @XmlElement(nillable = true)
    protected List<RigaBean> righe;
    protected String tipoFattura;
    protected double totaleAliquota;
    protected double totaleImponibile;
    protected String username;
    protected String vatId;
    protected String vatIdRef;

    /**
     * Gets the value of the annoEsercizio property.
     * 
     */
    public int getAnnoEsercizio() {
        return annoEsercizio;
    }

    /**
     * Sets the value of the annoEsercizio property.
     * 
     */
    public void setAnnoEsercizio(int value) {
        this.annoEsercizio = value;
    }

    /**
     * Gets the value of the codiceDivisione property.
     * 
     */
    public int getCodiceDivisione() {
        return codiceDivisione;
    }

    /**
     * Sets the value of the codiceDivisione property.
     * 
     */
    public void setCodiceDivisione(int value) {
        this.codiceDivisione = value;
    }

    /**
     * Gets the value of the codiceSettore property.
     * 
     */
    public int getCodiceSettore() {
        return codiceSettore;
    }

    /**
     * Sets the value of the codiceSettore property.
     * 
     */
    public void setCodiceSettore(int value) {
        this.codiceSettore = value;
    }

    /**
     * Gets the value of the codiceUfficio property.
     * 
     */
    public int getCodiceUfficio() {
        return codiceUfficio;
    }

    /**
     * Sets the value of the codiceUfficio property.
     * 
     */
    public void setCodiceUfficio(int value) {
        this.codiceUfficio = value;
    }

    /**
     * Gets the value of the dataEmissione property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDataEmissione() {
        return dataEmissione;
    }

    /**
     * Sets the value of the dataEmissione property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDataEmissione(XMLGregorianCalendar value) {
        this.dataEmissione = value;
    }

    /**
     * Gets the value of the dataEmissioneFatturaRef property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDataEmissioneFatturaRef() {
        return dataEmissioneFatturaRef;
    }

    /**
     * Sets the value of the dataEmissioneFatturaRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDataEmissioneFatturaRef(XMLGregorianCalendar value) {
        this.dataEmissioneFatturaRef = value;
    }

    /**
     * Gets the value of the fineCompetenzaEconomica property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFineCompetenzaEconomica() {
        return fineCompetenzaEconomica;
    }

    /**
     * Sets the value of the fineCompetenzaEconomica property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFineCompetenzaEconomica(XMLGregorianCalendar value) {
        this.fineCompetenzaEconomica = value;
    }

    /**
     * Gets the value of the inizioCompetenzaEconomica property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInizioCompetenzaEconomica() {
        return inizioCompetenzaEconomica;
    }

    /**
     * Sets the value of the inizioCompetenzaEconomica property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInizioCompetenzaEconomica(XMLGregorianCalendar value) {
        this.inizioCompetenzaEconomica = value;
    }

    /**
     * Gets the value of the numeroEmissione property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumeroEmissione() {
        return numeroEmissione;
    }

    /**
     * Sets the value of the numeroEmissione property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumeroEmissione(String value) {
        this.numeroEmissione = value;
    }

    /**
     * Gets the value of the numeroEmissioneRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumeroEmissioneRef() {
        return numeroEmissioneRef;
    }

    /**
     * Sets the value of the numeroEmissioneRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumeroEmissioneRef(String value) {
        this.numeroEmissioneRef = value;
    }

    /**
     * Gets the value of the righe property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the righe property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRighe().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RigaBean }
     * 
     * 
     */
    public List<RigaBean> getRighe() {
        if (righe == null) {
            righe = new ArrayList<RigaBean>();
        }
        return this.righe;
    }

    /**
     * Gets the value of the tipoFattura property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTipoFattura() {
        return tipoFattura;
    }

    /**
     * Sets the value of the tipoFattura property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTipoFattura(String value) {
        this.tipoFattura = value;
    }

    /**
     * Gets the value of the totaleAliquota property.
     * 
     */
    public double getTotaleAliquota() {
        return totaleAliquota;
    }

    /**
     * Sets the value of the totaleAliquota property.
     * 
     */
    public void setTotaleAliquota(double value) {
        this.totaleAliquota = value;
    }

    /**
     * Gets the value of the totaleImponibile property.
     * 
     */
    public double getTotaleImponibile() {
        return totaleImponibile;
    }

    /**
     * Sets the value of the totaleImponibile property.
     * 
     */
    public void setTotaleImponibile(double value) {
        this.totaleImponibile = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

    /**
     * Gets the value of the vatId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVatId() {
        return vatId;
    }

    /**
     * Sets the value of the vatId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVatId(String value) {
        this.vatId = value;
    }

    /**
     * Gets the value of the vatIdRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVatIdRef() {
        return vatIdRef;
    }

    /**
     * Sets the value of the vatIdRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVatIdRef(String value) {
        this.vatIdRef = value;
    }

}
