/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_CONTO_CONTABILE")
public class ContoContabile extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_CONTO_CONTABILE";
		
	private String esercizio;
	private String chiave_completa;
	private String chiave_piano;
	private String chiave_padre;
	private String nome_conto;
	private String descrizione;
	private String chiave;
	private BigDecimal numero_livello;
	private String mastrino;
	private String risultato_gestione;
	private String conto_associato;
	private String gruppo_associato;
	private String tipo_piano_associabile;
	private String associabile_altro_conto;
	private double totale_dare;
	private double totale_avere;
	private String sezione;
	private String partita_giro;
	private String riporto_nuovo;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	private String perenzione;
	private String capitolo;
	private String commerciale;
	
//	public ContoContabile() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/**
	 * @return the chiave_completa
	 */
	public String getChiave_completa() {
		return chiave_completa;
	}
	/**
	 * @param chiaveCompleta the chiave_completa to set
	 */
	public void setChiave_completa(String chiaveCompleta) {
		chiave_completa = chiaveCompleta;
	}
	/**
	 * @return the chiave_piano
	 */
	public String getChiave_piano() {
		return chiave_piano;
	}
	/**
	 * @param chiavePiano the chiave_piano to set
	 */
	public void setChiave_piano(String chiavePiano) {
		chiave_piano = chiavePiano;
	}
	/**
	 * @return the chiave_padre
	 */
	public String getChiave_padre() {
		return chiave_padre;
	}
	/**
	 * @param chiavePadre the chiave_padre to set
	 */
	public void setChiave_padre(String chiavePadre) {
		chiave_padre = chiavePadre;
	}
	/**
	 * @return the nome_conto
	 */
	public String getNome_conto() {
		return nome_conto;
	}
	/**
	 * @param nomeConto the nome_conto to set
	 */
	public void setNome_conto(String nomeConto) {
		nome_conto = nomeConto;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the chiave
	 */
	public String getChiave() {
		return chiave;
	}
	/**
	 * @param chiave the chiave to set
	 */
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	
	/**
	 * @return the mastrino
	 */
	public String getMastrino() {
		return mastrino;
	}
	/**
	 * @param mastrino the mastrino to set
	 */
	public void setMastrino(String mastrino) {
		this.mastrino = mastrino;
	}
	/**
	 * @return the risultato_gestione
	 */
	public String getRisultato_gestione() {
		return risultato_gestione;
	}
	/**
	 * @param risultatoGestione the risultato_gestione to set
	 */
	public void setRisultato_gestione(String risultatoGestione) {
		risultato_gestione = risultatoGestione;
	}
	/**
	 * @return the conto_associato
	 */
	public String getConto_associato() {
		return conto_associato;
	}
	/**
	 * @param contoAssociato the conto_associato to set
	 */
	public void setConto_associato(String contoAssociato) {
		conto_associato = contoAssociato;
	}
	/**
	 * @return the gruppo_associato
	 */
	public String getGruppo_associato() {
		return gruppo_associato;
	}
	/**
	 * @param gruppoAssociato the gruppo_associato to set
	 */
	public void setGruppo_associato(String gruppoAssociato) {
		gruppo_associato = gruppoAssociato;
	}
	/**
	 * @return the tipo_piano_associabile
	 */
	public String getTipo_piano_associabile() {
		return tipo_piano_associabile;
	}
	/**
	 * @param tipoPianoAssociabile the tipo_piano_associabile to set
	 */
	public void setTipo_piano_associabile(String tipoPianoAssociabile) {
		tipo_piano_associabile = tipoPianoAssociabile;
	}
	/**
	 * @return the associabile_altro_conto
	 */
	public String getAssociabile_altro_conto() {
		return associabile_altro_conto;
	}
	/**
	 * @param associabileAltroConto the associabile_altro_conto to set
	 */
	public void setAssociabile_altro_conto(String associabileAltroConto) {
		associabile_altro_conto = associabileAltroConto;
	}
	/**
	 * @return the totale_dare
	 */
	public double getTotale_dare() {
		return totale_dare;
	}
	/**
	 * @param totaleDare the totale_dare to set
	 */
	public void setTotale_dare(double totaleDare) {
		totale_dare = totaleDare;
	}
	/**
	 * @return the totale_avere
	 */
	public double getTotale_avere() {
		return totale_avere;
	}
	/**
	 * @param totaleAvere the totale_avere to set
	 */
	public void setTotale_avere(double totaleAvere) {
		totale_avere = totaleAvere;
	}
	/**
	 * @return the sezione
	 */
	public String getSezione() {
		return sezione;
	}
	/**
	 * @param sezione the sezione to set
	 */
	public void setSezione(String sezione) {
		this.sezione = sezione;
	}
	/**
	 * @return the partita_giro
	 */
	public String getPartita_giro() {
		return partita_giro;
	}
	/**
	 * @param partitaGiro the partita_giro to set
	 */
	public void setPartita_giro(String partitaGiro) {
		partita_giro = partitaGiro;
	}
	/**
	 * @return the riporto_nuovo
	 */
	public String getRiporto_nuovo() {
		return riporto_nuovo;
	}
	/**
	 * @param riportoNuovo the riporto_nuovo to set
	 */
	public void setRiporto_nuovo(String riportoNuovo) {
		riporto_nuovo = riportoNuovo;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the perenzione
	 */
	public String getPerenzione() {
		return perenzione;
	}
	/**
	 * @param perenzione the perenzione to set
	 */
	public void setPerenzione(String perenzione) {
		this.perenzione = perenzione;
	}
	/**
	 * @return the capitolo
	 */
	public String getCapitolo() {
		return capitolo;
	}
	/**
	 * @param capitolo the capitolo to set
	 */
	public void setCapitolo(String capitolo) {
		this.capitolo = capitolo;
	}
	/**
	 * @return the commerciale
	 */
	public String getCommerciale() {
		return commerciale;
	}
	/**
	 * @param commerciale the commerciale to set
	 */
	public void setCommerciale(String commerciale) {
		this.commerciale = commerciale;
	}
	/**
	 * @return the numero_livello
	 */
	public BigDecimal getNumero_livello() {
		return numero_livello;
	}
	/**
	 * @param numero_livello the numero_livello to set
	 */
	public void setNumero_livello(BigDecimal numero_livello) {
		this.numero_livello = numero_livello;
	}
	
	
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((chiave_completa == null) ? 0 : chiave_completa.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		result = prime * result
				+ ((mastrino == null) ? 0 : mastrino.hashCode());
		result = prime * result + ((sezione == null) ? 0 : sezione.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof ContoContabile))
			return false;
		ContoContabile other = (ContoContabile) obj;
		if (chiave_completa == null) {
			if (other.chiave_completa != null)
				return false;
		} else if (!chiave_completa.equals(other.chiave_completa))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (mastrino == null) {
			if (other.mastrino != null)
				return false;
		} else if (!mastrino.equals(other.mastrino))
			return false;
		if (sezione == null) {
			if (other.sezione != null)
				return false;
		} else if (!sezione.equals(other.sezione))
			return false;
		return true;
	}
	
	
	
}
