/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_FUNZIONE_OBIETTIVO")
public class FunzioneObiettivo extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_FUNZIONE_OBIETTIVO";
		
	private String chiave_completa;
	private Date data_inizio_validita;
	private String nome;
	private String descrizione;
	private String ultimo_livello;
	private String ente_di_finanziamento;
	private String tipo_di_fondo;
	private String responsabile;
	private Date data_scadenza;
	private String periodo_di_proroga;
	private Date data_di_assegnazione_fondi;
	private double ammontare;
	private Date data_canc;
	private String tipo;
	private Date dacr;
	private String utuv;
	private Date duva;
	private String bilancio;
	private String progetto;
	private String funzioni_comuni;
	private String esercizio;
	
//	public FunzioneObiettivo() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the chiave_completa
	 */
	public String getChiave_completa() {
		return chiave_completa;
	}
	/**
	 * @param chiaveCompleta the chiave_completa to set
	 */
	public void setChiave_completa(String chiaveCompleta) {
		chiave_completa = chiaveCompleta;
	}
	/**
	 * @return the data_inizio_validita
	 */
	public Date getData_inizio_validita() {
		return data_inizio_validita;
	}
	/**
	 * @param dataInizioValidita the data_inizio_validita to set
	 */
	public void setData_inizio_validita(Date dataInizioValidita) {
		data_inizio_validita = dataInizioValidita;
	}
	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}
	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the ultimo_livello
	 */
	public String getUltimo_livello() {
		return ultimo_livello;
	}
	/**
	 * @param ultimoLivello the ultimo_livello to set
	 */
	public void setUltimo_livello(String ultimoLivello) {
		ultimo_livello = ultimoLivello;
	}
	/**
	 * @return the ente_di_finanziamento
	 */
	public String getEnte_di_finanziamento() {
		return ente_di_finanziamento;
	}
	/**
	 * @param enteDiFinanziamento the ente_di_finanziamento to set
	 */
	public void setEnte_di_finanziamento(String enteDiFinanziamento) {
		ente_di_finanziamento = enteDiFinanziamento;
	}
	/**
	 * @return the tipo_di_fondo
	 */
	public String getTipo_di_fondo() {
		return tipo_di_fondo;
	}
	/**
	 * @param tipoDiFondo the tipo_di_fondo to set
	 */
	public void setTipo_di_fondo(String tipoDiFondo) {
		tipo_di_fondo = tipoDiFondo;
	}
	/**
	 * @return the responsabile
	 */
	public String getResponsabile() {
		return responsabile;
	}
	/**
	 * @param responsabile the responsabile to set
	 */
	public void setResponsabile(String responsabile) {
		this.responsabile = responsabile;
	}
	/**
	 * @return the data_scadenza
	 */
	public Date getData_scadenza() {
		return data_scadenza;
	}
	/**
	 * @param dataScadenza the data_scadenza to set
	 */
	public void setData_scadenza(Date dataScadenza) {
		data_scadenza = dataScadenza;
	}
	/**
	 * @return the periodo_di_proroga
	 */
	public String getPeriodo_di_proroga() {
		return periodo_di_proroga;
	}
	/**
	 * @param periodoDiProroga the periodo_di_proroga to set
	 */
	public void setPeriodo_di_proroga(String periodoDiProroga) {
		periodo_di_proroga = periodoDiProroga;
	}
	/**
	 * @return the data_di_assegnazione_fondi
	 */
	public Date getData_di_assegnazione_fondi() {
		return data_di_assegnazione_fondi;
	}
	/**
	 * @param dataDiAssegnazioneFondi the data_di_assegnazione_fondi to set
	 */
	public void setData_di_assegnazione_fondi(Date dataDiAssegnazioneFondi) {
		data_di_assegnazione_fondi = dataDiAssegnazioneFondi;
	}
	/**
	 * @return the ammontare
	 */
	public double getAmmontare() {
		return ammontare;
	}
	/**
	 * @param ammontare the ammontare to set
	 */
	public void setAmmontare(double ammontare) {
		this.ammontare = ammontare;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}
	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}
	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}
	/**
	 * @return the progetto
	 */
	public String getProgetto() {
		return progetto;
	}
	/**
	 * @param progetto the progetto to set
	 */
	public void setProgetto(String progetto) {
		this.progetto = progetto;
	}
	/**
	 * @return the funzioni_comuni
	 */
	public String getFunzioni_comuni() {
		return funzioni_comuni;
	}
	/**
	 * @param funzioniComuni the funzioni_comuni to set
	 */
	public void setFunzioni_comuni(String funzioniComuni) {
		funzioni_comuni = funzioniComuni;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		long temp;
		temp = Double.doubleToLongBits(ammontare);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((bilancio == null) ? 0 : bilancio.hashCode());
		result = prime * result
				+ ((chiave_completa == null) ? 0 : chiave_completa.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result
				+ ((data_canc == null) ? 0 : data_canc.hashCode());
		result = prime
				* result
				+ ((data_di_assegnazione_fondi == null) ? 0
						: data_di_assegnazione_fondi.hashCode());
		result = prime
				* result
				+ ((data_inizio_validita == null) ? 0 : data_inizio_validita
						.hashCode());
		result = prime * result
				+ ((data_scadenza == null) ? 0 : data_scadenza.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime
				* result
				+ ((ente_di_finanziamento == null) ? 0 : ente_di_finanziamento
						.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		result = prime * result
				+ ((funzioni_comuni == null) ? 0 : funzioni_comuni.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime
				* result
				+ ((periodo_di_proroga == null) ? 0 : periodo_di_proroga
						.hashCode());
		result = prime * result
				+ ((progetto == null) ? 0 : progetto.hashCode());
		result = prime * result
				+ ((responsabile == null) ? 0 : responsabile.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		result = prime * result
				+ ((tipo_di_fondo == null) ? 0 : tipo_di_fondo.hashCode());
		result = prime * result
				+ ((ultimo_livello == null) ? 0 : ultimo_livello.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof FunzioneObiettivo))
			return false;
		FunzioneObiettivo other = (FunzioneObiettivo) obj;
		if (Double.doubleToLongBits(ammontare) != Double
				.doubleToLongBits(other.ammontare))
			return false;
		if (bilancio == null) {
			if (other.bilancio != null)
				return false;
		} else if (!bilancio.equals(other.bilancio))
			return false;
		if (chiave_completa == null) {
			if (other.chiave_completa != null)
				return false;
		} else if (!chiave_completa.equals(other.chiave_completa))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_canc == null) {
			if (other.data_canc != null)
				return false;
		} else if (!data_canc.equals(other.data_canc))
			return false;
		if (data_di_assegnazione_fondi == null) {
			if (other.data_di_assegnazione_fondi != null)
				return false;
		} else if (!data_di_assegnazione_fondi
				.equals(other.data_di_assegnazione_fondi))
			return false;
		if (data_inizio_validita == null) {
			if (other.data_inizio_validita != null)
				return false;
		} else if (!data_inizio_validita.equals(other.data_inizio_validita))
			return false;
		if (data_scadenza == null) {
			if (other.data_scadenza != null)
				return false;
		} else if (!data_scadenza.equals(other.data_scadenza))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (ente_di_finanziamento == null) {
			if (other.ente_di_finanziamento != null)
				return false;
		} else if (!ente_di_finanziamento.equals(other.ente_di_finanziamento))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (funzioni_comuni == null) {
			if (other.funzioni_comuni != null)
				return false;
		} else if (!funzioni_comuni.equals(other.funzioni_comuni))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (periodo_di_proroga == null) {
			if (other.periodo_di_proroga != null)
				return false;
		} else if (!periodo_di_proroga.equals(other.periodo_di_proroga))
			return false;
		if (progetto == null) {
			if (other.progetto != null)
				return false;
		} else if (!progetto.equals(other.progetto))
			return false;
		if (responsabile == null) {
			if (other.responsabile != null)
				return false;
		} else if (!responsabile.equals(other.responsabile))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		if (tipo_di_fondo == null) {
			if (other.tipo_di_fondo != null)
				return false;
		} else if (!tipo_di_fondo.equals(other.tipo_di_fondo))
			return false;
		if (ultimo_livello == null) {
			if (other.ultimo_livello != null)
				return false;
		} else if (!ultimo_livello.equals(other.ultimo_livello))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
	
	

}
