/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_PRENOTAZIONI")
public class Prenotazione extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_PRENOTAZIONI";
		
	private String chiave;
	private String versione;
	private String descrizione;
	private Double ammontare;
	private Double quota_residua;
	private String esercizio;
	private String unita_organizzativa;
	private String bilancio;
	private String capitolo;
	private String estinta;
	private String attiva;
	@Temporal(TemporalType.DATE)
	private Date data_scadenza;
	@Temporal(TemporalType.DATE)
	private Date data_utilizzo;
	@Temporal(TemporalType.DATE)
	private Date data_estinzione;
	@Temporal(TemporalType.DATE)
	private Date data_cancellazione;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	private String riportata;
	private String chiave_originale;
	private String tipo;
	private String vincolata;
	private String matricola_assegnatario;
	private String assegnatario;
	private String note;
	private String tipo_provvedimento;
	@Temporal(TemporalType.DATE)
	private Date data_provvedimento;
	private String numero_provvedimento;


	public Prenotazione() {}


	/**
	 * @return the chiave
	 */
	public String getChiave() {
		return chiave;
	}


	/**
	 * @param chiave the chiave to set
	 */
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}


	/**
	 * @return the versione
	 */
	public String getVersione() {
		return versione;
	}


	/**
	 * @param versione the versione to set
	 */
	public void setVersione(String versione) {
		this.versione = versione;
	}


	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}


	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}


	/**
	 * @return the ammontare
	 */
	public Double getAmmontare() {
		return ammontare;
	}


	/**
	 * @param ammontare the ammontare to set
	 */
	public void setAmmontare(Double ammontare) {
		this.ammontare = ammontare;
	}


	/**
	 * @return the quota_residua
	 */
	public Double getQuota_residua() {
		return quota_residua;
	}


	/**
	 * @param quotaResidua the quota_residua to set
	 */
	public void setQuota_residua(Double quotaResidua) {
		quota_residua = quotaResidua;
	}


	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}


	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}


	/**
	 * @return the unita_organizzativa
	 */
	public String getUnita_organizzativa() {
		return unita_organizzativa;
	}


	/**
	 * @param unitaOrganizzativa the unita_organizzativa to set
	 */
	public void setUnita_organizzativa(String unitaOrganizzativa) {
		unita_organizzativa = unitaOrganizzativa;
	}


	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}


	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}


	/**
	 * @return the capitolo
	 */
	public String getCapitolo() {
		return capitolo;
	}


	/**
	 * @param capitolo the capitolo to set
	 */
	public void setCapitolo(String capitolo) {
		this.capitolo = capitolo;
	}


	/**
	 * @return the estinta
	 */
	public String getEstinta() {
		return estinta;
	}


	/**
	 * @param estinta the estinta to set
	 */
	public void setEstinta(String estinta) {
		this.estinta = estinta;
	}


	/**
	 * @return the attiva
	 */
	public String getAttiva() {
		return attiva;
	}


	/**
	 * @param attiva the attiva to set
	 */
	public void setAttiva(String attiva) {
		this.attiva = attiva;
	}


	/**
	 * @return the data_scadenza
	 */
	public Date getData_scadenza() {
		return data_scadenza;
	}


	/**
	 * @param dataScadenza the data_scadenza to set
	 */
	public void setData_scadenza(Date dataScadenza) {
		data_scadenza = dataScadenza;
	}


	/**
	 * @return the data_utilizzo
	 */
	public Date getData_utilizzo() {
		return data_utilizzo;
	}


	/**
	 * @param dataUtilizzo the data_utilizzo to set
	 */
	public void setData_utilizzo(Date dataUtilizzo) {
		data_utilizzo = dataUtilizzo;
	}


	/**
	 * @return the data_estinzione
	 */
	public Date getData_estinzione() {
		return data_estinzione;
	}


	/**
	 * @param dataEstinzione the data_estinzione to set
	 */
	public void setData_estinzione(Date dataEstinzione) {
		data_estinzione = dataEstinzione;
	}


	/**
	 * @return the data_cancellazione
	 */
	public Date getData_cancellazione() {
		return data_cancellazione;
	}


	/**
	 * @param dataCancellazione the data_cancellazione to set
	 */
	public void setData_cancellazione(Date dataCancellazione) {
		data_cancellazione = dataCancellazione;
	}


	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}


	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}


	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}


	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}


	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}


	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}


	/**
	 * @return the riportata
	 */
	public String getRiportata() {
		return riportata;
	}


	/**
	 * @param riportata the riportata to set
	 */
	public void setRiportata(String riportata) {
		this.riportata = riportata;
	}


	/**
	 * @return the chiave_originale
	 */
	public String getChiave_originale() {
		return chiave_originale;
	}


	/**
	 * @param chiaveOriginale the chiave_originale to set
	 */
	public void setChiave_originale(String chiaveOriginale) {
		chiave_originale = chiaveOriginale;
	}


	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}


	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}


	/**
	 * @return the vincolata
	 */
	public String getVincolata() {
		return vincolata;
	}


	/**
	 * @param vincolata the vincolata to set
	 */
	public void setVincolata(String vincolata) {
		this.vincolata = vincolata;
	}


	/**
	 * @return the matricola_assegnatario
	 */
	public String getMatricola_assegnatario() {
		return matricola_assegnatario;
	}


	/**
	 * @param matricolaAssegnatario the matricola_assegnatario to set
	 */
	public void setMatricola_assegnatario(String matricolaAssegnatario) {
		matricola_assegnatario = matricolaAssegnatario;
	}


	/**
	 * @return the assegnatario
	 */
	public String getAssegnatario() {
		return assegnatario;
	}


	/**
	 * @param assegnatario the assegnatario to set
	 */
	public void setAssegnatario(String assegnatario) {
		this.assegnatario = assegnatario;
	}


	/**
	 * @return the note
	 */
	public String getNote() {
		return note;
	}


	/**
	 * @param note the note to set
	 */
	public void setNote(String note) {
		this.note = note;
	}


	/**
	 * @return the tipo_provvedimento
	 */
	public String getTipo_provvedimento() {
		return tipo_provvedimento;
	}


	/**
	 * @param tipoProvvedimento the tipo_provvedimento to set
	 */
	public void setTipo_provvedimento(String tipoProvvedimento) {
		tipo_provvedimento = tipoProvvedimento;
	}


	/**
	 * @return the data_provvedimento
	 */
	public Date getData_provvedimento() {
		return data_provvedimento;
	}


	/**
	 * @param dataProvvedimento the data_provvedimento to set
	 */
	public void setData_provvedimento(Date dataProvvedimento) {
		data_provvedimento = dataProvvedimento;
	}


	/**
	 * @return the numero_provvedimento
	 */
	public String getNumero_provvedimento() {
		return numero_provvedimento;
	}


	/**
	 * @param numeroProvvedimento the numero_provvedimento to set
	 */
	public void setNumero_provvedimento(String numeroProvvedimento) {
		numero_provvedimento = numeroProvvedimento;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((ammontare == null) ? 0 : ammontare.hashCode());
		result = prime * result
				+ ((assegnatario == null) ? 0 : assegnatario.hashCode());
		result = prime * result + ((attiva == null) ? 0 : attiva.hashCode());
		result = prime * result
				+ ((bilancio == null) ? 0 : bilancio.hashCode());
		result = prime * result
				+ ((capitolo == null) ? 0 : capitolo.hashCode());
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		result = prime
				* result
				+ ((chiave_originale == null) ? 0 : chiave_originale.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime
				* result
				+ ((data_cancellazione == null) ? 0 : data_cancellazione
						.hashCode());
		result = prime * result
				+ ((data_estinzione == null) ? 0 : data_estinzione.hashCode());
		result = prime
				* result
				+ ((data_provvedimento == null) ? 0 : data_provvedimento
						.hashCode());
		result = prime * result
				+ ((data_scadenza == null) ? 0 : data_scadenza.hashCode());
		result = prime * result
				+ ((data_utilizzo == null) ? 0 : data_utilizzo.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		result = prime * result + ((estinta == null) ? 0 : estinta.hashCode());
		result = prime
				* result
				+ ((matricola_assegnatario == null) ? 0
						: matricola_assegnatario.hashCode());
		result = prime * result + ((note == null) ? 0 : note.hashCode());
		result = prime
				* result
				+ ((numero_provvedimento == null) ? 0 : numero_provvedimento
						.hashCode());
		result = prime * result
				+ ((quota_residua == null) ? 0 : quota_residua.hashCode());
		result = prime * result
				+ ((riportata == null) ? 0 : riportata.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		result = prime
				* result
				+ ((tipo_provvedimento == null) ? 0 : tipo_provvedimento
						.hashCode());
		result = prime
				* result
				+ ((unita_organizzativa == null) ? 0 : unita_organizzativa
						.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		result = prime * result
				+ ((versione == null) ? 0 : versione.hashCode());
		result = prime * result
				+ ((vincolata == null) ? 0 : vincolata.hashCode());
		return result;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Prenotazione))
			return false;
		Prenotazione other = (Prenotazione) obj;
		if (ammontare == null) {
			if (other.ammontare != null)
				return false;
		} else if (!ammontare.equals(other.ammontare))
			return false;
		if (assegnatario == null) {
			if (other.assegnatario != null)
				return false;
		} else if (!assegnatario.equals(other.assegnatario))
			return false;
		if (attiva == null) {
			if (other.attiva != null)
				return false;
		} else if (!attiva.equals(other.attiva))
			return false;
		if (bilancio == null) {
			if (other.bilancio != null)
				return false;
		} else if (!bilancio.equals(other.bilancio))
			return false;
		if (capitolo == null) {
			if (other.capitolo != null)
				return false;
		} else if (!capitolo.equals(other.capitolo))
			return false;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		if (chiave_originale == null) {
			if (other.chiave_originale != null)
				return false;
		} else if (!chiave_originale.equals(other.chiave_originale))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_cancellazione == null) {
			if (other.data_cancellazione != null)
				return false;
		} else if (!data_cancellazione.equals(other.data_cancellazione))
			return false;
		if (data_estinzione == null) {
			if (other.data_estinzione != null)
				return false;
		} else if (!data_estinzione.equals(other.data_estinzione))
			return false;
		if (data_provvedimento == null) {
			if (other.data_provvedimento != null)
				return false;
		} else if (!data_provvedimento.equals(other.data_provvedimento))
			return false;
		if (data_scadenza == null) {
			if (other.data_scadenza != null)
				return false;
		} else if (!data_scadenza.equals(other.data_scadenza))
			return false;
		if (data_utilizzo == null) {
			if (other.data_utilizzo != null)
				return false;
		} else if (!data_utilizzo.equals(other.data_utilizzo))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (estinta == null) {
			if (other.estinta != null)
				return false;
		} else if (!estinta.equals(other.estinta))
			return false;
		if (matricola_assegnatario == null) {
			if (other.matricola_assegnatario != null)
				return false;
		} else if (!matricola_assegnatario.equals(other.matricola_assegnatario))
			return false;
		if (note == null) {
			if (other.note != null)
				return false;
		} else if (!note.equals(other.note))
			return false;
		if (numero_provvedimento == null) {
			if (other.numero_provvedimento != null)
				return false;
		} else if (!numero_provvedimento.equals(other.numero_provvedimento))
			return false;
		if (quota_residua == null) {
			if (other.quota_residua != null)
				return false;
		} else if (!quota_residua.equals(other.quota_residua))
			return false;
		if (riportata == null) {
			if (other.riportata != null)
				return false;
		} else if (!riportata.equals(other.riportata))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		if (tipo_provvedimento == null) {
			if (other.tipo_provvedimento != null)
				return false;
		} else if (!tipo_provvedimento.equals(other.tipo_provvedimento))
			return false;
		if (unita_organizzativa == null) {
			if (other.unita_organizzativa != null)
				return false;
		} else if (!unita_organizzativa.equals(other.unita_organizzativa))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		if (versione == null) {
			if (other.versione != null)
				return false;
		} else if (!versione.equals(other.versione))
			return false;
		if (vincolata == null) {
			if (other.vincolata != null)
				return false;
		} else if (!vincolata.equals(other.vincolata))
			return false;
		return true;
	}


	
}
