/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_RIF_MODALITA_PAGAMENTO")
public class RifModalitaPagamento extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_MODALITA_PAGAMENTO";
	
	
	private String codice;
	private String descrizione;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	private String codice_cassiere;
	private String tipo_pagamento;
	@Temporal(TemporalType.DATE)
	private Date data_canc;
	private String desrizione_cassiere;
	
	
//	public RifModalitaPagamento() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}


	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}


	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}


	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}


	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}


	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}


	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}


	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}


	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}


	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}


	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}


	/**
	 * @return the codice_cassiere
	 */
	public String getCodice_cassiere() {
		return codice_cassiere;
	}


	/**
	 * @param codiceCassiere the codice_cassiere to set
	 */
	public void setCodice_cassiere(String codiceCassiere) {
		codice_cassiere = codiceCassiere;
	}


	/**
	 * @return the tipo_pagamento
	 */
	public String getTipo_pagamento() {
		return tipo_pagamento;
	}


	/**
	 * @param tipoPagamento the tipo_pagamento to set
	 */
	public void setTipo_pagamento(String tipoPagamento) {
		tipo_pagamento = tipoPagamento;
	}


	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}


	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}


	/**
	 * @return the desrizione_cassiere
	 */
	public String getDesrizione_cassiere() {
		return desrizione_cassiere;
	}


	/**
	 * @param desrizioneCassiere the desrizione_cassiere to set
	 */
	public void setDesrizione_cassiere(String desrizioneCassiere) {
		desrizione_cassiere = desrizioneCassiere;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result
				+ ((codice_cassiere == null) ? 0 : codice_cassiere.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result
				+ ((data_canc == null) ? 0 : data_canc.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime
				* result
				+ ((desrizione_cassiere == null) ? 0 : desrizione_cassiere
						.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result
				+ ((tipo_pagamento == null) ? 0 : tipo_pagamento.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof RifModalitaPagamento))
			return false;
		RifModalitaPagamento other = (RifModalitaPagamento) obj;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (codice_cassiere == null) {
			if (other.codice_cassiere != null)
				return false;
		} else if (!codice_cassiere.equals(other.codice_cassiere))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_canc == null) {
			if (other.data_canc != null)
				return false;
		} else if (!data_canc.equals(other.data_canc))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (desrizione_cassiere == null) {
			if (other.desrizione_cassiere != null)
				return false;
		} else if (!desrizione_cassiere.equals(other.desrizione_cassiere))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (tipo_pagamento == null) {
			if (other.tipo_pagamento != null)
				return false;
		} else if (!tipo_pagamento.equals(other.tipo_pagamento))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}


	
}
