/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_RIF_TERMINI_PAGAMENTO")
public class RifTerminePagamento extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_RIF_TERMINI_PAGAMENTO";
	
	private String codice;
	private String descrizione;
	private Date data_inizio;
	private Date data_fine;
	private Date dacr;
	private Date duva;
	private String utuv;
	
	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}
	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the data_inizio
	 */
	public Date getData_inizio() {
		return data_inizio;
	}
	/**
	 * @param dataInizio the data_inizio to set
	 */
	public void setData_inizio(Date dataInizio) {
		data_inizio = dataInizio;
	}
	/**
	 * @return the data_fine
	 */
	public Date getData_fine() {
		return data_fine;
	}
	/**
	 * @param dataFine the data_fine to set
	 */
	public void setData_fine(Date dataFine) {
		data_fine = dataFine;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result
				+ ((data_fine == null) ? 0 : data_fine.hashCode());
		result = prime * result
				+ ((data_inizio == null) ? 0 : data_inizio.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof RifTerminePagamento))
			return false;
		RifTerminePagamento other = (RifTerminePagamento) obj;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_fine == null) {
			if (other.data_fine != null)
				return false;
		} else if (!data_fine.equals(other.data_fine))
			return false;
		if (data_inizio == null) {
			if (other.data_inizio != null)
				return false;
		} else if (!data_inizio.equals(other.data_inizio))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
}
