/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_TERMINI_PAGAMENTO")
public class TerminePagamento extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public static final String ciaViewName = "EPOCA_TERMINI_PAGAMENTO";
	
	private String codice;
	private String codice_rif;
	private Date dacr;
	private Date duva;
	private String utuv;

	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}
	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}
	/**
	 * @param codice_rif the codice_rif to set
	 */
	public void setCodice_rif(String codice_rif) {
		this.codice_rif = codice_rif;
	}
	/**
	 * @return the codice_rif
	 */
	public String getCodice_rif() {
		return codice_rif;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result
				+ ((codice_rif == null) ? 0 : codice_rif.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof TerminePagamento))
			return false;
		TerminePagamento other = (TerminePagamento) obj;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (codice_rif == null) {
			if (other.codice_rif != null)
				return false;
		} else if (!codice_rif.equals(other.codice_rif))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
	
}
