/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.invoice;

import it.fe.core.par.invoice.OriginalDocument;
import it.fe.core.par.invoice.TransmissionType;
import it.fe.core.par.invoice.TransmissionType.type;

import java.io.Serializable;
import java.util.List;

public interface OriginalDocumentManager extends Serializable {
	
	public OriginalDocument getOriginalDocumentById(long id);
	
	public List<OriginalDocument> getOriginalDocuments();
	
	public long insertOriginalDocument(OriginalDocument originalDocument);
	
	public OriginalDocument updateReceiveStatus(long idOriginalDocument, String receiveStatus, String exceptionMessage);
	
	public OriginalDocument fetchOriginalDocument(long idOriginalDocument);

	public List<OriginalDocument> findOriginalDocumentByTypeAndAddditionalData(
			String transmissionTypeDescription, String additionalInfo);
}
