/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.process;

import it.fe.core.process.ProcessService;

import java.util.List;
import java.util.Map;

import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.apache.log4j.Logger;
import org.jbpm.api.ProcessInstance;
import org.jbpm.api.task.Task;

/**
 * @author fulvio di marco
 * 
*
 * 
 * 
 * Remote interface facading JBoss's ProcessEngine (which doesn't have a remote interface by default)
 *
 */
@Stateless
@Remote(ProcessServiceFacade.class)
public class ProcessServiceFacadeBean implements ProcessServiceFacade {
	
	protected static Logger logger = Logger.getLogger(ProcessServiceFacadeBean.class.getName());

	public String start(String processDefinitionKey, String processInstanceKey) {
		return ProcessService.start(processDefinitionKey, processInstanceKey);
	}

	public String start(String processDefinitionKey, Map<String, ?> variables, String processInstanceKey) {
		return ProcessService.start(processDefinitionKey, variables, processInstanceKey);
	}
	
	public ProcessInstance findProcessInstanceById(String processDefinitionKey, String processInstanceKey) {
		return ProcessService.findProcessInstanceById(processDefinitionKey, processInstanceKey);
	}

	public void completeTask(String taskId) {
		ProcessService.completeTask(taskId);
	}

	public void completeTask(String taskId, String outcome) {
		ProcessService.completeTask(taskId, outcome);
	}

	public void end(String processDefinitionKey, String processInstanceKey) {
		ProcessService.end(processDefinitionKey, processInstanceKey);
	}

	public List<Task> findPersonalTasks(String userId) {
		return ProcessService.findPersonalTasks(userId);
	}
	public String signal(String processDefinitionKey, String businessKey, String currentState, String username) {
		return ProcessService.signal(processDefinitionKey, businessKey, currentState, username);
	}
	
	public String signal(String processDefinitionKey, String businessKey, String signalName, String currentState, String username) {
		return ProcessService.signal(processDefinitionKey, businessKey, signalName, currentState,username);
	}
	
//	public void signal(String executionId, String signalName) {
//		ProcessService.signal(executionId, signalName);
//	}
//	public void signal(String executionId) {
//		ProcessService.signal(executionId);
//	}

}
