/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.sdi;

import it.fe.core.par.sdi.NotificaEsitoCommittente;

import java.util.List;

public interface NotificaEsitoCommittenteManager {

	public Long insert(NotificaEsitoCommittente notifica);
	
	public NotificaEsitoCommittente findById(Long id);
	
	public NotificaEsitoCommittente update(NotificaEsitoCommittente notifica);
	
	public int remove(NotificaEsitoCommittente notifica);
	
	public List<NotificaEsitoCommittente> findAll();
	
	public List<NotificaEsitoCommittente> findByIdentificativoSdi(String identificativoSdi);
	
	public List<NotificaEsitoCommittente> findByNumeroFattura(String numeroFattura);
	
	public List<NotificaEsitoCommittente> findByMessageIdCommittente(String messageIdCommittente);
	
}
