/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par;

import it.fe.core.par.invoice.Invoice;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="Inoltri")
public class Forward implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -358800153953773084L;
	
	@Id
	@GeneratedValue
	private long id;
	
	private String username;
	
	private Date dataInoltro;
	
	@ManyToOne(fetch=FetchType.EAGER)
	private Invoice fattura;
	
	
	public Forward() {
		super();
	}
	
	public Forward(String username, Date dataInoltro, Invoice fattura) {
		super();
		this.username = username;
		this.dataInoltro = dataInoltro;
		this.fattura = fattura;
	}

	
	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public Date getDataInoltro() {
		return dataInoltro;
	}

	public void setDataInoltro(Date dataInoltro) {
		this.dataInoltro = dataInoltro;
	}

	public Invoice getFattura() {
		return fattura;
	}

	public void setFattura(Invoice fattura) {
		this.fattura = fattura;
	}

		
	

}
