/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;

@Entity
@Table(name = "PeppolValidations")
public class PeppolValidation  implements Serializable{

	public enum Status{VALID,ERROR,WARNING}
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private Long id;

	private Long originalDocumentId;

	private String documentName;

	private String validationType;
	
	private String validationStatus;

	@Lob
	@Basic(fetch = FetchType.LAZY)
	@Column(length = 1024 * 1024 * 100)
	private byte[] xmlFile;

	@Lob
	@Basic(fetch = FetchType.LAZY)
	@Column(length = 1024 * 1024 * 100)
	private byte[] htmlFile;

	public byte[] getHtmlFile() {
		return htmlFile;
	}

	public void setHtmlFile(byte[] htmlFile) {
		this.htmlFile = htmlFile;
	}

	public PeppolValidation() {
		super();
	}

	public String getValidationType() {
		return validationType;
	}

	public void setValidationType(String validationType) {
		this.validationType = validationType;
	}

	public Long getOriginalDocumentId() {
		return originalDocumentId;
	}

	public void setOriginalDocumentId(Long originalDocumentId) {
		this.originalDocumentId = originalDocumentId;
	}

	public String getValidationStatus() {
		return validationStatus;
	}

	public void setValidationStatus(String validationStatus) {
		this.validationStatus = validationStatus;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDocumentName() {
		return documentName;
	}

	public void setDocumentName(String documentName) {
		this.documentName = documentName;
	}

	public byte[] getXmlFile() {
		return xmlFile;
	}

	public void setXmlFile(byte[] xmlFile) {
		this.xmlFile = xmlFile;
	}

}
