/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.process.performance;

import it.fe.core.par.invoice.Invoice;
import it.fe.core.par.invoice.InvoiceState;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
@Entity
@Table(name="TaskTimings")
public class TaskTiming implements Serializable {
	
	public Long taskTimingId;
	public Invoice invoice;
	public String processDescriptionId;
	public String processExecutionId;
	public String taskName;
	public InvoiceState invoiceState;
	public String username;
	public Date startTime;
	public Date endTime;
	
	
	
	public TaskTiming() {
		super();
	}
	
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	public Long getTaskTimingId() {
		return taskTimingId;
	}
	public void setTaskTimingId(Long taskTimingId) {
		this.taskTimingId = taskTimingId;
	}
	
	@ManyToOne
	@JoinColumn(name="invoiceId", referencedColumnName="invoiceId", nullable=false)
	public Invoice getInvoice() {
		return invoice;
	}
	public void setInvoice(Invoice invoice) {
		this.invoice = invoice;
	}
	
	public String getProcessDescriptionId() {
		return processDescriptionId;
	}
	public void setProcessDescriptionId(String processDescriptionId) {
		this.processDescriptionId = processDescriptionId;
	}
	public String getProcessExecutionId() {
		return processExecutionId;
	}
	public void setProcessExecutionId(String processExecutionId) {
		this.processExecutionId = processExecutionId;
	}
	
	@Column(nullable=false)
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	
	@ManyToOne
	@JoinColumn(name="invoiceStateId", referencedColumnName="invoiceStateId", nullable=false)
	public InvoiceState getInvoiceState() {
		return invoiceState;
	}
	public void setInvoiceState(InvoiceState invoiceState) {
		this.invoiceState = invoiceState;
	}
	
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(nullable=false)
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	
	@Temporal(TemporalType.TIMESTAMP)
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	
	
	
	
	
	
	

}
