/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.sdi;

import it.fe.core.par.invoice.OriginalDocument;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class NotificaEsitoCommittente {

	@Id
	@GeneratedValue
	private Long id;
	
	private String identificativoSdi;
	
	private String numeroFattura;
	
	private String annoFattura;
	
	private String posizioneFattura;
	
	private String esito;
	
	private String descrizione;
	
	private String messageIdCommittente;
	
	@OneToMany
	private List<OriginalDocument> originalDocuments; 

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getIdentificativoSdi() {
		return identificativoSdi;
	}

	public void setIdentificativoSdi(String identificativoSdi) {
		this.identificativoSdi = identificativoSdi;
	}

	public String getNumeroFattura() {
		return numeroFattura;
	}

	public void setNumeroFattura(String numeroFattura) {
		this.numeroFattura = numeroFattura;
	}

	public String getAnnoFattura() {
		return annoFattura;
	}

	public void setAnnoFattura(String annoFattura) {
		this.annoFattura = annoFattura;
	}

	public String getPosizioneFattura() {
		return posizioneFattura;
	}

	public void setPosizioneFattura(String posizioneFattura) {
		this.posizioneFattura = posizioneFattura;
	}

	public String getEsito() {
		return esito;
	}

	public void setEsito(String esito) {
		this.esito = esito;
	}

	public String getDescrizione() {
		return descrizione;
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}

	public String getMessageIdCommittente() {
		return messageIdCommittente;
	}

	public void setMessageIdCommittente(String messageIdCommittente) {
		this.messageIdCommittente = messageIdCommittente;
	}

	public List<OriginalDocument> getOriginalDocuments() {
		return originalDocuments;
	}

	public void setOriginalDocuments(List<OriginalDocument> originalDocuments) {
		this.originalDocuments = originalDocuments;
	}
	
}
