/**
 * This file is part of FatturazioneElettronica - ESB
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - ESB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - ESB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - ESB.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @author chiara.pezzi@epocaricerca.it
 * 
 *
 *
 */
package it.fe.esb.common;

import it.fe.core.par.common.FEFile;
import it.fe.core.par.invoice.OriginalDocument;

import java.util.List;

/**
 * Documento verificato. Contiene:
 * <ul>
 * 	<li>Lista dei file ricevuti</li>
 *  <li>Tipo di fattura riconosciuta</li>
 * </ul>
 */
public class CheckedDocument {
	
	private String invoiceType;
	private List<FEFile> documentList;
	private OriginalDocument originalDocument;
	
	
	public CheckedDocument() {
		super();
	}

	public void setInvoiceType(String invoiceType) {
		this.invoiceType = invoiceType;
	}

	public String getInvoiceType() {
		return invoiceType;
	}


	public void setDocumentList(List<FEFile> documentList) {
		this.documentList = documentList;
	}

	public List<FEFile> getDocumentList() {
		return documentList;
	}

	/**
	 * @param originalDocument the originalDocument to set
	 */
	public void setOriginalDocument(OriginalDocument originalDocument) {
		this.originalDocument = originalDocument;
	}

	/**
	 * @return the originalDocument
	 */
	public OriginalDocument getOriginalDocument() {
		return originalDocument;
	}
}
