/**
 * This file is part of FatturazioneElettronica - ESB
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - ESB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - ESB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - ESB.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.esb.common;

import it.fe.core.par.invoice.OriginalDocument;

import java.util.ArrayList;
import java.util.List;

public class HolderOriginalDocument {
	
	OriginalDocument originalDocument;
	List<byte[]> byteArrayList = new ArrayList<byte[]>();

	
	public HolderOriginalDocument(OriginalDocument originalDocument) {
		super();
		this.originalDocument = originalDocument;
	}

	public HolderOriginalDocument(OriginalDocument originalDocument, List<byte[]> byteArrayList) {
		this.originalDocument = originalDocument;
		this.byteArrayList = byteArrayList;
	}


	public OriginalDocument getOriginalDocument() {
		return originalDocument;
	}

	public void setOriginalDocument(OriginalDocument originalDocument) {
		this.originalDocument = originalDocument;
	}

	public List<byte[]> getByteArrayList() {
		return byteArrayList;
	}

	public void setByteArrayList(List<byte[]> byteArrayList) {
		this.byteArrayList = byteArrayList;
	}
	
}
