/**
 * This file is part of FatturazioneElettronica - Signature and timestamp facilities
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Signature and timestamp facilities is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Signature and timestamp facilities is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Signature and timestamp facilities.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.trento.comune.j4sign.verification.servlet;


import it.trento.comune.j4sign.verification.VerifyResult;

import java.util.Hashtable;
import java.util.List;
import java.util.Set;
import java.util.Vector;

import javax.security.auth.x500.X500Principal;

public class ProcessedItem {

	private String fieldName = null;
	private boolean fileUpload = false;
	private String fileName = null;
	private String contentFileName = null;
	
	private String writedFileName = null;


	private String fullFileName = null;
	private String contentType = null;

	private long size = -1;
	private boolean inMemory = true;
	
	private Vector<String> errors = null;
	
	private boolean verified = false;
	
	private Hashtable<X500Principal, VerifyResult> verifyResults = null;	
	
	public ProcessedItem(String fieldName, boolean fileUpload) {
		super();
		this.fieldName = fieldName;
		this.fileUpload = fileUpload;
		this.errors = new Vector<String>();
	}
	
	
	public String getContentFileName() {
		return contentFileName;
	}
	public boolean isFileUpload() {
		return fileUpload;
	}
	public void setContentFileName(String contentFileName) {
		this.contentFileName = contentFileName;
	}


	public Hashtable<X500Principal, VerifyResult> getVerifyResults() {
		return verifyResults;
	}

	public void setVerifyResults(
			Hashtable<X500Principal, VerifyResult> verifyResults) {
		this.verifyResults = verifyResults;
	}

	public boolean isVerified() {
		return verified;
	}

	public void setVerified(boolean verified) {
		this.verified = verified;
	}

	public String getFullFileName() {
		return fullFileName;
	}

	public void setFullFileName(String fullFileName) {
		this.fullFileName = fullFileName;
	}
	
	public String getWritedFileName() {
		return writedFileName;
	}
	public void setWritedFileName(String writedFileName) {
		this.writedFileName = writedFileName;
	}
	
	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public long getSize() {
		return size;
	}

	public void setSize(long size) {
		this.size = size;
	}

	public List<String> getErrors() {
		return errors;
	}

	public boolean isInMemory() {
		return inMemory;
	}

	public void setInMemory(boolean inMemory) {
		this.inMemory = inMemory;
	}
	
	
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	private String string;

	public String getString() {
		return string;
	}

	public void setString(String string) {
		this.string = string;
	}

	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}
}
