/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.invoice;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

import org.hibernate.criterion.Criterion;
import org.hibernate.criterion.Restrictions;

/**
 * Handler di fatture in errore.
 * 
 * Estende FilterableInvoicesHandler, aggiungendo un filtro di ricerca delle sole fatture in errore. 
 * @author stefano
 *
 */
public class ErrorInvoicesHandler extends FilterableInvoicesHandler {

	
	@Override
	protected Map<String,List<Criterion>> determineWebRestrictions() {
		Map<String,List<Criterion>> out = super.determineWebRestrictions();
		
		out.put("error", new ArrayList(Arrays.asList(new Criterion[]{Restrictions.eq("error", Boolean.TRUE) })));
		
		return out;
	}
}
