/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.peppol;

import it.fe.core.common.utils.InvoiceXmlToJava;
import it.fe.core.par.PeppolValidation;
import it.fe.core.par.common.FEFile;
import it.fe.core.par.invoice.OriginalDocument;

import java.io.Serializable;
import java.util.List;

public class PeppolDocument implements Serializable{
	
	private FEFile receivedDocument;
	private List<PeppolValidation> validations;
	private OriginalDocument originalDocument;
	private String senderName;
	
	
	
	public String getSenderName() {
		return senderName;
	}


	public void setSenderName(String senderName) {
		this.senderName = senderName;
	}


	public PeppolDocument(OriginalDocument originalDocument, FEFile receivedDocument,
			List<PeppolValidation> validations) {
		super();
		this.originalDocument = originalDocument;
		this.receivedDocument = receivedDocument;
		this.validations = validations;
		if ("application/xml".equals(receivedDocument.getFileMimeType()))
			this.senderName = InvoiceXmlToJava.readSupplierName(new String(receivedDocument.getFileBlob()));
	}
	
	
	public FEFile getReceivedDocument() {
		return receivedDocument;
	}
	public void setReceivedDocument(FEFile receivedDocument) {
		this.receivedDocument = receivedDocument;
	}
	public List<PeppolValidation> getValidations() {
		return validations;
	}
	public void setValidations(List<PeppolValidation> validations) {
		this.validations = validations;
	}
	public OriginalDocument getOriginalDocument() {
		return originalDocument;
	}
	public void setOriginalDocument(OriginalDocument originalDocument) {
		this.originalDocument = originalDocument;
	}
}
