/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.peppol;

import it.fe.core.par.PeppolValidation;

import java.util.List;

public class PeppolUtils {
	
	public static PeppolValidation getValidationByType(List<PeppolValidation> validations,String validationType){
		if ((validationType ==  null)|| (validationType.equals("")) )
			return null;
		if (validations ==  null)
			return null;
		else
			for (PeppolValidation peppolValidation : validations) {
				if (validationType.equals(peppolValidation.getValidationType()))
					return peppolValidation;
			}
		return null;
	}
	
	public static Boolean isValidationWarning (PeppolValidation validation){
		if (validation ==  null)
			return false;
		else
			return "warning".equalsIgnoreCase(validation.getValidationStatus());
	}
	public static Boolean isValidationFatal (PeppolValidation validation){
		if (validation ==  null)
			return false;
		else
			return "error".equalsIgnoreCase(validation.getValidationStatus());
	}
	
	public static Boolean isValidationPassed (PeppolValidation validation){
		if (validation ==  null)
			return false;
		else
			return "valid".equalsIgnoreCase(validation.getValidationStatus());
	}

}
