/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * 
*
 *
 */
package it.fe.web.controller.profile;

import it.fe.core.par.unimore.cia.Utente;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.context.FacesContext;
import javax.portlet.PortletSession;

public class ComuneModenaProfilesHandler {
	
	private static final String CIA_USER_DETAILS = "FE_SHARED_CIAUSERDETAIL";
	
	private List<Utente> ciaUserDetails;

	@SuppressWarnings("unused")
	@PostConstruct
	private void updateProfiles() {
		if (ciaUserDetails == null) {
			ciaUserDetails = getCiaProfilesFromPortletSession();		
		}
	}
	
	public List<String> getUserFinancialYears() {
		List<Utente> userDetails = getCiaUserDetails();
		List<String> result = new ArrayList<String>();
		if (userDetails !=null && !userDetails.isEmpty()) {
			for (Utente userDetail : userDetails) {
				if (!result.contains(userDetail.getUniorg_esercizio())) {
					result.add(userDetail.getUniorg_esercizio());
				}
			}
		}
		return result;
	}
	
	public List<String> getUserBudgetsByFinancialYear(String financialYear) {
		List<Utente> userDetails = getCiaUserDetails();
		List<String> result = new ArrayList<String>();
		if (userDetails !=null && !userDetails.isEmpty()) {
			for (Utente userDetail : userDetails) {
				if (userDetail.getUniorg_esercizio().equals(financialYear)) {
					if (!result.contains(userDetail.getUniorg_bilancio())) {
						result.add(userDetail.getUniorg_bilancio());
					}
				}	
			}
		}
		return result;
	}
	
	public List<String> getUserUniOrgsByBudgetAndFinancialYear(String budget, String financialYear) {
		List<Utente> userDetails = getCiaUserDetails();
		List<String> result = new ArrayList<String>();
		if (userDetails !=null && !userDetails.isEmpty()) {
			for (Utente userDetail : userDetails) {
				if (userDetail.getUniorg_esercizio().equals(financialYear) && userDetail.getUniorg_bilancio().equals(budget)) {
					if (!result.contains(userDetail.getUniorg_codice())) {
						result.add(userDetail.getUniorg_codice());
					}
				}	
			}
		}
		return result;
	}
	
	@SuppressWarnings("unchecked")
	private List<Utente> getCiaProfilesFromPortletSession() {
		return (List<Utente>) getPortletSession().getAttribute(CIA_USER_DETAILS, PortletSession.APPLICATION_SCOPE);
	}
	
	private PortletSession getPortletSession() {
		return (PortletSession) FacesContext
				.getCurrentInstance()
					.getExternalContext()
						.getSession(false);
	}

	/**
	 * @return the ciaUserDetails
	 */
	public List<Utente> getCiaUserDetails() {
		return ciaUserDetails;
	}

	/**
	 * @param ciaUserDetails the ciaUserDetails to set
	 */
	public void setCiaUserDetails(List<Utente> ciaUserDetails) {
		this.ciaUserDetails = ciaUserDetails;
	}

}
