/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.validators;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class IsNumberValidator implements Validator {

	public void validate(FacesContext arg0, UIComponent toValidate, Object value)
			throws ValidatorException {
		if (value == null){
			FacesMessage message = new FacesMessage();
			message.setDetail("#{msgs.validationNoData}");
			message.setSummary("#{msgs.validationNoData}");
			message.setSeverity(FacesMessage.SEVERITY_ERROR);
			((UIInput)toValidate).setValid(false);
			throw new ValidatorException(message);
		}
		else if (! Number.class.isAssignableFrom(value.getClass())){
			FacesMessage message = new FacesMessage();
			message.setDetail("#{msgs.validationError}");
			message.setSummary("#{msgs.validationError}");
			message.setSeverity(FacesMessage.SEVERITY_ERROR);
			((UIInput)toValidate).setValid(false);
			throw new ValidatorException(message);
		}
		else{
			((UIInput)toValidate).setValid(true);
		}
	}

}
