<?xml version="1.0" encoding="US-ASCII"?>
<!--

    This file is part of FatturazioneElettronica - Web - Common

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--

CraneUBL2UN380Invoice.xsl - common access to UBL Invoice for both FO and HTML
                            results

 $Id: CraneUBL2UN380Invoice-common.xsl,v 3.8 2008/07/06 17:45:42 gkholman Exp $
-->
<!--
Copyright (C) - Crane Softwrights Ltd.
              - http://www.CraneSoftwrights.com/links/res-un-s.htm

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.
- The name of the author may not be used to endorse or promote products
  derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2003-07-26 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" 
  xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" 
  xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
  xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
  xmlns:in="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"
  version="1.0" exclude-result-prefixes="un-in un-out cac cbc in">

<!--========================================================================-->
<!--identifying meta data-->

<xsl:template name="un-out:caller-identification">
CraneUBL2UN380Invoice-common.xsl - $Date: 2008/07/06 17:45:42 $(UTC)
- <xsl:call-template name="unlk-common-identification"/>
</xsl:template>

<!--========================================================================-->

<xsl:template name="un-out:seller-party">
  <xsl:apply-templates mode="party-address"
                   select="/in:Invoice/cac:AccountingSupplierParty/cac:Party"/>
</xsl:template>

<xsl:template name="un-out:consignee-party">
  <xsl:apply-templates mode="party-address"
                       select="/in:Invoice/cac:BuyerCustomerParty/cac:Party">
    <xsl:with-param name="address"
                    select="/in:Invoice/cac:Delivery/cac:DeliveryAddress"/>
  </xsl:apply-templates>
</xsl:template>

<xsl:template name="un-out:delivery">
	  <xsl:apply-templates mode="delivery-line"
                       select="/in:Invoice/cac:Delivery"/>
</xsl:template>

<xsl:template name="un-out:buyer-party">
  <xsl:apply-templates mode="party-address"
                   select="/in:Invoice/cac:AccountingCustomerParty/cac:Party"/>
</xsl:template>

<xsl:template name="un-out:buyer-supplier-account-id">
  <xsl:apply-templates mode="line" select="/in:Invoice/cac:AccountingCustomerParty/cbc:SupplierAssignedAccountID"/>
</xsl:template>

<xsl:template name="un-out:in-number">
  <xsl:apply-templates mode="line" select="/in:Invoice/cbc:ID"/>
</xsl:template>

<xsl:template name="un-out:document-type">	

	<xsl:apply-templates mode="line" select="/in:Invoice/cac:ContractDocumentReference[cbc:DocumentTypeCode != preceding-sibling::cac:ContractDocumentReference/cbc:DocumentTypeCode or position() = 1]/cbc:DocumentTypeCode"/>
		
</xsl:template>

<xsl:template name="un-out:invoice-date">
  <xsl:apply-templates mode="line" select="/in:Invoice/cbc:TaxPointDate"/>
</xsl:template>

<xsl:template name="un-out:invoice-period">
  <xsl:call-template name="line-both">
    <xsl:with-param name="content-start">
      <xsl:apply-templates mode="content" 
                           select="/in:Invoice/cbc:InvoicePeriod/cbc:StartDate"/>
    </xsl:with-param>
    <xsl:with-param name="content-end">
      <xsl:apply-templates mode="content" select="/in:Invoice/cbc:InvoicePeriod/cbc:EndDate"/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="un-out:seller-reference">
  <xsl:apply-templates mode="line" 
                     select="/in:Invoice/cac:OrderReference/cbc:SalesOrderID"/>
</xsl:template>

<xsl:template name="un-out:buyer-reference">
	<xsl:apply-templates mode="line" 
                       select="/in:Invoice/cac:OrderReference/cbc:ID"/>
					   
	<xsl:apply-templates mode="line" 
                     select="/in:Invoice/cac:ContractDocumentReference/cbc:ID"/>

</xsl:template>

<xsl:template name="un-out:po-date">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cac:OrderReference/cbc:IssueDate"/>
</xsl:template>

<!--========================================================================-->
<!--prelude to line items-->

<xsl:template name="un-out:buyer-bank">
  <xsl:apply-templates mode="bank-line"
                       select="/in:Invoice/cac:PaymentMeans/
                               cac:PayerFinancialAccount/
                               cac:FinancialInstitutionBranch"/>
</xsl:template>

<xsl:template name="un-out:payment-terms">
  <xsl:for-each select="/in:Invoice/cac:PaymentTerms">
    <xsl:apply-templates mode="line" 
                     select="cbc:Note | cac:SettlementPeriod/cbc:Description"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="un-out:payment-due-date">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cac:PaymentMeans/
                               cbc:PaymentDueDate"/>
</xsl:template>

<xsl:template name="un-out:payment-currency">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cbc:DocumentCurrencyCode"/>
</xsl:template>

<xsl:template name="un-out:seller-bank">
  <xsl:apply-templates mode="bank-line"
                       select="/in:Invoice/cac:PaymentMeans/
                               cac:PayeeFinancialAccount/
                               cac:FinancialInstitutionBranch"/>
</xsl:template>

<xsl:template name="un-out:sort-code">
  <xsl:apply-templates mode="line" 
                select="/in:Invoice/cac:PaymentMeans/cac:PayeeFinancialAccount/
                        cac:FinancialInstitutionBranch/cbc:ID"/>
</xsl:template>

<xsl:template name="un-out:account-number">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cac:PaymentMeans/
                               cac:PayeeFinancialAccount/cbc:ID"/>
</xsl:template>

<xsl:template name="un-out:account-name">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cac:PaymentMeans/
                               cac:PayeeFinancialAccount/cbc:Name"/>
</xsl:template>

<!--========================================================================-->
<!--line items-->

<xsl:template name="un-out:lineitem-table">
  <xsl:for-each select="/in:Invoice/cac:InvoiceLine">
    <xsl:call-template name="un-in:lineitem-table"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="un-out:item-references">
  <xsl:for-each select="cac:OrderLineReference">
    <xsl:call-template name="line-both">
      <xsl:with-param name="content-start">
        <xsl:apply-templates mode="content" 
                             select="cbc:LineID"/>
      </xsl:with-param>
      <xsl:with-param name="content-end">
        <xsl:apply-templates mode="content" select="cbc:SalesOrderLineID"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:for-each>
</xsl:template>

<xsl:template name="un-out:description">
  <xsl:apply-templates mode="line" 
                       select="cac:Item/cbc:Name"/>
  <xsl:apply-templates mode="line" 
                       select="cac:Item/cbc:Description"/>
</xsl:template>

<xsl:template name="un-out:country-of-origin-line">
  <xsl:apply-templates mode="line" 
                       select="cac:Item/cac:OriginCountry/cbc:Name"/>
</xsl:template>

<xsl:template name="un-out:commodity-code">
  <xsl:apply-templates mode="line" 
                       select="cac:Item/cac:CommodityClassification/
                               cbc:CommodityCode"/>
</xsl:template>

<xsl:template name="un-out:quantity">
  <xsl:apply-templates mode="line-centre" 
                       select="cbc:InvoicedQuantity"/>
</xsl:template>

<xsl:template name="un-out:unit-price">
  <xsl:call-template name="line-end">
    <xsl:with-param name="content">
      <xsl:apply-templates mode="currency-number-only"
                           select="cac:Price/cbc:PriceAmount"/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template name="un-out:amount">
  <xsl:call-template name="line-end">
    <xsl:with-param name="content">
      <xsl:apply-templates mode="currency-complete" 
                           select="cbc:LineExtensionAmount"/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<!--========================================================================-->
<!--postlude after items-->

<xsl:template name="un-out:total-amount">
 <!--only one of the two possible values can be shown, so use most important-->
  <xsl:apply-templates mode="currency-complete"
                       select="( /in:Invoice/cac:LegalMonetaryTotal/
                                  cbc:LineExtensionAmount |
                                 /in:Invoice/cac:LegalMonetaryTotal/
                                  cbc:TaxExclusiveAmount )[last()]"/>
</xsl:template>

<xsl:template name="un-out:total-tax-amount">
  <xsl:apply-templates mode="currency-complete"
                       select="/in:Invoice/cac:TaxTotal/
                               cbc:TaxAmount"/>
</xsl:template>

<xsl:template name="un-out:total-amount-due">
  <xsl:apply-templates mode="currency-complete"
                       select="/in:Invoice/cac:LegalMonetaryTotal/
                               cbc:PayableAmount"/>
</xsl:template>

<xsl:template name="un-out:notes">
  <xsl:apply-templates mode="line" 
                       select="/in:Invoice/cbc:Note"/>
</xsl:template>

<xsl:template name="un-out:signatory">
  <xsl:apply-templates mode="line"
                       select="/in:Invoice/cac:Signature/cac:SignatoryParty/
                               cac:PartyName/cbc:Name"/>
</xsl:template>

<xsl:template name="un-out:issue">
  <xsl:call-template name="line-both">
    <xsl:with-param name="content-start">
      <xsl:apply-templates mode="content" 
                           select="/in:Invoice/cac:AccountingSupplierParty/
                                   cac:Party/cac:PostalAddress/cbc:CityName"/>
    </xsl:with-param>
    <xsl:with-param name="content-end">
      <xsl:apply-templates mode="content" select="/in:Invoice/cbc:IssueDate"/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

</xsl:stylesheet>
