<?xml version="1.0" encoding="utf-8"?>
<!--

    This file is part of FatturazioneElettronica - Web - Common

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
    Note that this XSLT is a synthesized stylesheet, not a manually-authored
    stylesheet.  The ResultXSLT(tm) result-tree annotation environment read
    a prototypical XSL-FO instance of the output and created this importable
    stylesheet for use by an importing stylesheet that can support any data
    vocabulary of the required information.

    Please see the documentation on this importable stylesheet for
    guidelines on writing a compatible importing stylesheet in order to
    take advantage of this stylesheet with any other importing stylesheet.
    
    $Id: CraneUN380Invoice-EN.xsl,v 3.17 2008/07/23 20:04:52 gkholman Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xst="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/XSL/Format" xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" version="1.0" exclude-result-prefixes="un-in un-out">

   <xsl:variable name="short-page-edge" select="'210mm'"/>
   <xsl:variable name="long-page-edge" select="'297mm'"/>
   <xsl:variable name="line-item-border" select="'none'"/>
   <xsl:variable name="sans-serif-family" select="'Helvetica'"/>
   <xsl:variable name="sans-serif-size-meta" select="'6pt'"/>
   <xsl:variable name="sans-serif-size-docnum" select="'10pt'"/>
   <xsl:variable name="sans-serif-size-doctype" select="'8pt'"/>
   <xsl:variable name="sans-serif-size-page" select="'10pt'"/>
   <xsl:variable name="sans-serif-size-label" select="'5.5pt'"/>
   <xsl:variable name="serif-family" select="'Times'"/>
   <xsl:variable name="serif-size" select="'10pt'"/>

<!--Root: default processing for the root node-->
   <xsl:template match="/">
      <xsl:call-template name="un-out:start-up"/>
   </xsl:template>

<!--Branch: start-up-->
   <xsl:template name="un-out:start-up">
      <xsl:call-template name="un-in:start-up"/>
   </xsl:template>
   <xsl:template name="un-in:start-up">
      <root font-family="{$serif-family}" font-size="{$serif-size}" line-height="1.1">
         <layout-master-set>
            <xsl:call-template name="un-out:page-geometry"/>
         </layout-master-set>
         <page-sequence master-reference="layout">
            <xsl:call-template name="un-out:background-first-page"/>
            <xsl:call-template name="un-out:background-rest-page"/>
            <flow flow-name="body">
               <table width="183mm" table-layout="fixed">
                  <table-column column-width="( 183mm div 8 )" number-columns-repeated="8"/>
                  <table-body>
                     <xsl:call-template name="un-out:lineitem-table"/>
                  </table-body>
               </table>
               <block id="end"/>
            </flow>
         </page-sequence>
      </root>
   </xsl:template>

<!--Branch: page-geometry-->
   <xsl:template name="un-out:page-geometry">
      <xsl:call-template name="un-in:page-geometry"/>
   </xsl:template>
   <xsl:template name="un-in:page-geometry">
      <simple-page-master master-name="firstpage" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm" margin-bottom="{$long-page-edge} - 5mm - 5mm - 262mm">
         <region-body region-name="body" margin-left="10mm" margin-top="9mm+(262mm div 64)*44+2pt+(.10pt * 8)" margin-bottom="(262mm div 64)*10"/>
         <region-before region-name="first" extent="262mm + 5mm + 5mm + 5mm"/>
      </simple-page-master>
      <simple-page-master master-name="restpages" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm" margin-bottom="{$long-page-edge} - 5mm - 5mm - 262mm">
         <region-body region-name="body" margin-left="10mm" margin-top="9mm+(262mm div 64)*25+2pt+(.10pt * 2)" margin-bottom="(262mm div 64)*1"/>
         <region-before region-name="rest" extent="262mm + 5mm + 5mm + 5mm"/>
      </simple-page-master>
      <page-sequence-master master-name="layout">
         <single-page-master-reference master-reference="firstpage"/>
         <repeatable-page-master-reference master-reference="restpages"/>
      </page-sequence-master>
   </xsl:template>

<!--Branch: background-first-page-->
   <xsl:template name="un-out:background-first-page">
      <xsl:call-template name="un-in:background-first-page"/>
   </xsl:template>
   <xsl:template name="un-in:background-first-page">
      <static-content flow-name="first">
         <table width="183mm + 10mm" table-layout="fixed">
            <table-column column-width="10mm"/>
            <table-column column-width="183mm div 2" number-columns-repeated="2"/>
            <table-body>
               <xsl:call-template name="un-out:titling"/>
               <table-row>
                  <table-cell number-columns-spanned="2" number-rows-spanned="2">
                     <table width="183mm" table-layout="fixed">
                        <table-column column-width="( 183mm div 8 )" number-columns-repeated="8"/>
                        <xsl:call-template name="un-out:form-header1"/>
                     </table>
                  </table-cell>
               </table-row>
               <table-row>
                  <table-cell display-align="after">
                     <block text-align="end">
                        <xsl:call-template name="un-out:document-number"/>
                     </block>
                  </table-cell>
               </table-row>
            </table-body>
         </table>
      </static-content>
   </xsl:template>

<!--Branch: titling-->
   <xsl:template name="un-out:titling">
      <xsl:call-template name="un-in:titling"/>
   </xsl:template>
   <xsl:template name="un-in:titling">
      <table-row height="5mm">
         <table-cell number-rows-spanned="2" display-align="after" height="262mm">
            <block-container reference-orientation="90" width="262mm">
               <xsl:call-template name="un-out:meta-data-start"/>
            </block-container>
         </table-cell>
         <table-cell display-align="after">
            <block>
               <leader/>
            </block>
         </table-cell>
         <table-cell display-align="after">
            <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-page}" line-height="1" text-align-last="justify">
               <inline font-weight="bold">INVOICE</inline>
			   <inline font-weight="bold" font-size="{$sans-serif-size-doctype}" alignment-baseline="after-edge">
                  <xsl:call-template name="un-out:alternate_form-title"/>
               </inline>
               <leader/>
               <xsl:call-template name="un-out:page-number"/>
            </block>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: meta-data-start-->
   <xsl:template name="un-out:meta-data-start">
      <xsl:call-template name="un-in:meta-data-start"/>
   </xsl:template>
   <xsl:template name="un-in:meta-data-start">
      <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-meta}" space-after="1pt" space-after.conditionality="retain">
         <block>
            <xsl:call-template name="un-out:caller-identification"/>
         </block>
         <block>CraneUN380Invoice.xsl - <inline>
               <xsl:call-template name="un-out:revision"/>
            </inline>
            <inline>
               <xsl:call-template name="un-out:check_alternate_revision"/>
            </inline>
         </block>
         <block>
            <xsl:call-template name="un-out:url"/>
         </block>
      </block>
   </xsl:template>

<!--Branch: caller-identification-->
   <xsl:template name="un-out:caller-identification">
      <xsl:call-template name="un-in:caller-identification"/>
   </xsl:template>
   <xsl:template name="un-in:caller-identification">
      <inline font-style="italic">
                      (raw presentation; no calling stylesheet)
                    </inline>
   </xsl:template>

<!--Branch: revision-->
   <xsl:template name="un-out:revision">
      <xsl:call-template name="un-in:revision"/>
   </xsl:template>
   <xsl:template name="un-in:revision">$Date: 2008/07/23 20:04:52 $(UTC)</xsl:template>

<!--Branch: check_alternate_revision-->
   <xsl:template name="un-out:check_alternate_revision">
      <xsl:call-template name="un-in:check_alternate_revision"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_revision"/>

<!--Branch: url-->
   <xsl:template name="un-out:url">
      <xsl:call-template name="un-in:url"/>
   </xsl:template>
   <xsl:template name="un-in:url">
      <basic-link external-destination="url(&#34;http://www.CraneSoftwrights.com/links/res-un-f.htm&#34;)">
                    http://www.CraneSoftwrights.com/links/res-un-f.htm
                    </basic-link>
   </xsl:template>

<!--Branch: alternate_form-title-->
   <xsl:template name="un-out:alternate_form-title">
      <xsl:call-template name="un-in:alternate_form-title"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_form-title"/>

<!--Branch: page-number-->
   <xsl:template name="un-out:page-number">
      <xsl:call-template name="un-in:page-number"/>
   </xsl:template>
   <xsl:template name="un-in:page-number">
      <inline>
                  Page <page-number/> of <page-number-citation ref-id="end"/>
      </inline>
   </xsl:template>

<!--Branch: form-header1-->
   <xsl:template name="un-out:form-header1">
      <xsl:call-template name="un-in:form-header1"/>
   </xsl:template>
   <xsl:template name="un-in:form-header1">
      <table-body>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="3" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 6 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Seller<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_seller-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:seller-party"/>
                 
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                 
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice number<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_in-number"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:in-number"/>
                
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-start-color="grey" border-color="black" border-width="0.2mm" padding="1mm" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">
                        <leader/>						
                     </block>
					 <xsl:call-template name="un-out:document-type"/>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <!--
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice date (tax point)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_invoice-date"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:invoice-date"/>
					 -->
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice period (from   to)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_invoice-date"/>
                        </inline>
                     </block>
					 <xsl:call-template name="un-out:invoice-period"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Seller's reference<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_seller-reference"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:seller-reference"/>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer's reference<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-reference"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-reference"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Purchase order date<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_po-date"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:po-date"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Consignee<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_consignee-party"/>
                        </inline>
                     </block>
					 <xsl:call-template name="un-out:consignee-party"/>
               </block-container>
            </table-cell>
         </table-row>
		 <table-row height="( 262mm div 64 ) * 10 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 12 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Delivery<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_consignee-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:delivery"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 8 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-party"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 4 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer bank<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-bank"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-bank"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Country of origin<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_country-of-origin"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:country-of-origin"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Country of destination<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_country-of-destination"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:country-of-destination"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Mode of transport<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_mode-of-transport"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:mode-of-transport"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Date of despatch<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_date-of-despatch"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:date-of-despatch"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Terms of payment<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_payment-terms"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:payment-terms"/>
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Payment due date<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_payment-terms"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:payment-due-date"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Currency of payment<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_payment-currency"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:payment-currency"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Means of transport<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_means-of-transport"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:means-of-transport"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Place of despatch<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_place-of-despatch"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:place-of-despatch"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Vessel/flight No.<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_vessel-flight-no"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:vessel-flight-no"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Port of loading<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_port-of-loading"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:port-of-loading"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Seller's bank<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_seller-bank"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:seller-bank"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Sort code<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_sort-code"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:sort-code"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-start-style="dotted" border-start-color="#e8e8e8" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Acct. no.<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_account-number"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:account-number"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Port of discharge<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_port-of-discharge"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:port-of-discharge"/>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Place of delivery<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_place-of-delivery"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:place-of-delivery"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-start-style="dotted" border-start-color="#e8e8e8" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Account name<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_account-name"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:account-name"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 4 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 8 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Shipping marks; container number<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_shipping-marks-container-number"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:shipping-marks-container-number"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 8 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">No. and kind of packages; description of goods<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_no-and-kind-of-packages-description-of-goods"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:no-and-kind-of-packages-description-of-goods"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total gross weight (kg)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-gross-weight-kg"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-gross-weight-kg"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total cube(m3)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-cubem3"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-cubem3"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 4 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total net weight (kg)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-net-weight-kg"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-net-weight-kg"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-before-color="#e8e8e8" border-start-style="dotted" border-start-color="#e8e8e8" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">
                        <leader/>
                     </block>
                     <block/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 10 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Item / References<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_item-references"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Description<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_description"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Country of origin<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_country-of-origin-line"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Commodity code<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_commodity-code"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Quantity<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_quantity"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Unit price<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_unit-price"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Amount<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_amount"/>
                        </inline>
                     </block>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="5" number-columns-spanned="5" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 10 -                                      2 * .10pt" width="( 183mm div 8 ) * 5 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Clauses and / or Notes<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_notes"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:notes"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="3" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none" border-after-style="none" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 6 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">
                        <leader/>
                     </block>
                     <block/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total amount<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-amount"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-amount"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total tax amount<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-tax-amount"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-tax-amount"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Total amount due<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_total-amount-due"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:total-amount-due"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="3" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 3 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Name of signatory<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_signatory"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:signatory"/>
                  
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="3" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 3 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Place and date of issue<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_issue"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:issue"/>
                  
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="3" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 3 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Signature<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_signature"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:signature"/>
                  
               </block-container>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>

<!--Branch: alternate_title_seller-party-->
   <xsl:template name="un-out:alternate_title_seller-party">
      <xsl:call-template name="un-in:alternate_title_seller-party"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_seller-party"/>

<!--Branch: seller-party-->
   <xsl:template name="un-out:seller-party">
      <xsl:call-template name="un-in:seller-party"/>
   </xsl:template>
   <xsl:template name="un-in:seller-party">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_in-number-->
   <xsl:template name="un-out:alternate_title_in-number">
      <xsl:call-template name="un-in:alternate_title_in-number"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_in-number"/>

<!--Branch: in-number-->
   <xsl:template name="un-out:in-number">
      <xsl:call-template name="un-in:in-number"/>
   </xsl:template>
   <xsl:template name="un-in:in-number">
      <block/>
   </xsl:template>
   
<!--Branch: document-type-->
   <xsl:template name="un-out:document-type">
      <xsl:call-template name="un-in:document-type"/>
   </xsl:template>
   <xsl:template name="un-in:document-type">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_invoice-date-->
   <xsl:template name="un-out:alternate_title_invoice-date">
      <xsl:call-template name="un-in:alternate_title_invoice-date"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_invoice-date"/>

<!--Branch: invoice-date-->
   <xsl:template name="un-out:invoice-date">
      <xsl:call-template name="un-in:invoice-date"/>
   </xsl:template>
   <xsl:template name="un-in:invoice-date">
      <block/>
   </xsl:template>
   
   <!--Branch: invoice-period-->
   <xsl:template name="un-out:invoice-period">
      <xsl:call-template name="un-in:invoice-period"/>
   </xsl:template>
   <xsl:template name="un-in:invoice-period">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_seller-reference-->
   <xsl:template name="un-out:alternate_title_seller-reference">
      <xsl:call-template name="un-in:alternate_title_seller-reference"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_seller-reference"/>

<!--Branch: seller-reference-->
   <xsl:template name="un-out:seller-reference">
      <xsl:call-template name="un-in:seller-reference"/>
   </xsl:template>
   <xsl:template name="un-in:seller-reference">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_buyer-reference-->
   <xsl:template name="un-out:alternate_title_buyer-reference">
      <xsl:call-template name="un-in:alternate_title_buyer-reference"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_buyer-reference"/>

<!--Branch: buyer-reference-->
   <xsl:template name="un-out:buyer-reference">
      <xsl:call-template name="un-in:buyer-reference"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-reference">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_po-date-->
   <xsl:template name="un-out:alternate_title_po-date">
      <xsl:call-template name="un-in:alternate_title_po-date"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_po-date"/>

<!--Branch: po-date-->
   <xsl:template name="un-out:po-date">
      <xsl:call-template name="un-in:po-date"/>
   </xsl:template>
   <xsl:template name="un-in:po-date">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_consignee-party-->
   <xsl:template name="un-out:alternate_title_consignee-party">
      <xsl:call-template name="un-in:alternate_title_consignee-party"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_consignee-party"/>

<!--Branch: consignee-party-->
   <xsl:template name="un-out:consignee-party">
      <xsl:call-template name="un-in:consignee-party"/>
   </xsl:template>
   <xsl:template name="un-in:consignee-party">
      <block/>
   </xsl:template>
   
   <!--Branch: delivery-->
   <xsl:template name="un-out:delivery">
      <xsl:call-template name="un-in:delivery"/>
   </xsl:template>
   <xsl:template name="un-in:delivery">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_buyer-party-->
   <xsl:template name="un-out:alternate_title_buyer-party">
      <xsl:call-template name="un-in:alternate_title_buyer-party"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_buyer-party"/>

<!--Branch: buyer-party-->
   <xsl:template name="un-out:buyer-party">
      <xsl:call-template name="un-in:buyer-party"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-party">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_buyer-bank-->
   <xsl:template name="un-out:alternate_title_buyer-bank">
      <xsl:call-template name="un-in:alternate_title_buyer-bank"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_buyer-bank"/>

<!--Branch: buyer-bank-->
   <xsl:template name="un-out:buyer-bank">
      <xsl:call-template name="un-in:buyer-bank"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-bank">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_country-of-origin-->
   <xsl:template name="un-out:alternate_title_country-of-origin">
      <xsl:call-template name="un-in:alternate_title_country-of-origin"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_country-of-origin"/>

<!--Branch: country-of-origin-->
   <xsl:template name="un-out:country-of-origin">
      <xsl:call-template name="un-in:country-of-origin"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-origin">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_country-of-destination-->
   <xsl:template name="un-out:alternate_title_country-of-destination">
      <xsl:call-template name="un-in:alternate_title_country-of-destination"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_country-of-destination"/>

<!--Branch: country-of-destination-->
   <xsl:template name="un-out:country-of-destination">
      <xsl:call-template name="un-in:country-of-destination"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-destination">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_mode-of-transport-->
   <xsl:template name="un-out:alternate_title_mode-of-transport">
      <xsl:call-template name="un-in:alternate_title_mode-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_mode-of-transport"/>

<!--Branch: mode-of-transport-->
   <xsl:template name="un-out:mode-of-transport">
      <xsl:call-template name="un-in:mode-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:mode-of-transport">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_date-of-despatch-->
   <xsl:template name="un-out:alternate_title_date-of-despatch">
      <xsl:call-template name="un-in:alternate_title_date-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_date-of-despatch"/>

<!--Branch: date-of-despatch-->
   <xsl:template name="un-out:date-of-despatch">
      <xsl:call-template name="un-in:date-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:date-of-despatch">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_payment-terms-->
   <xsl:template name="un-out:alternate_title_payment-terms">
      <xsl:call-template name="un-in:alternate_title_payment-terms"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_payment-terms"/>

<!--Branch: payment-terms-->
   <xsl:template name="un-out:payment-terms">
      <xsl:call-template name="un-in:payment-terms"/>
   </xsl:template>
   <xsl:template name="un-in:payment-terms">
      <block/>
   </xsl:template>
   
   <!--Branch: payment-due-date-->
   <xsl:template name="un-out:payment-due-date">
      <xsl:call-template name="un-in:payment-due-date"/>
   </xsl:template>
   <xsl:template name="un-in:payment-due-date">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_payment-currency-->
   <xsl:template name="un-out:alternate_title_payment-currency">
      <xsl:call-template name="un-in:alternate_title_payment-currency"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_payment-currency"/>

<!--Branch: payment-currency-->
   <xsl:template name="un-out:payment-currency">
      <xsl:call-template name="un-in:payment-currency"/>
   </xsl:template>
   <xsl:template name="un-in:payment-currency">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_means-of-transport-->
   <xsl:template name="un-out:alternate_title_means-of-transport">
      <xsl:call-template name="un-in:alternate_title_means-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_means-of-transport"/>

<!--Branch: means-of-transport-->
   <xsl:template name="un-out:means-of-transport">
      <xsl:call-template name="un-in:means-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:means-of-transport">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_place-of-despatch-->
   <xsl:template name="un-out:alternate_title_place-of-despatch">
      <xsl:call-template name="un-in:alternate_title_place-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_place-of-despatch"/>

<!--Branch: place-of-despatch-->
   <xsl:template name="un-out:place-of-despatch">
      <xsl:call-template name="un-in:place-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:place-of-despatch">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_vessel-flight-no-->
   <xsl:template name="un-out:alternate_title_vessel-flight-no">
      <xsl:call-template name="un-in:alternate_title_vessel-flight-no"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_vessel-flight-no"/>

<!--Branch: vessel-flight-no-->
   <xsl:template name="un-out:vessel-flight-no">
      <xsl:call-template name="un-in:vessel-flight-no"/>
   </xsl:template>
   <xsl:template name="un-in:vessel-flight-no">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_port-of-loading-->
   <xsl:template name="un-out:alternate_title_port-of-loading">
      <xsl:call-template name="un-in:alternate_title_port-of-loading"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_port-of-loading"/>

<!--Branch: port-of-loading-->
   <xsl:template name="un-out:port-of-loading">
      <xsl:call-template name="un-in:port-of-loading"/>
   </xsl:template>
   <xsl:template name="un-in:port-of-loading">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_seller-bank-->
   <xsl:template name="un-out:alternate_title_seller-bank">
      <xsl:call-template name="un-in:alternate_title_seller-bank"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_seller-bank"/>

<!--Branch: seller-bank-->
   <xsl:template name="un-out:seller-bank">
      <xsl:call-template name="un-in:seller-bank"/>
   </xsl:template>
   <xsl:template name="un-in:seller-bank">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_sort-code-->
   <xsl:template name="un-out:alternate_title_sort-code">
      <xsl:call-template name="un-in:alternate_title_sort-code"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_sort-code"/>

<!--Branch: sort-code-->
   <xsl:template name="un-out:sort-code">
      <xsl:call-template name="un-in:sort-code"/>
   </xsl:template>
   <xsl:template name="un-in:sort-code">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_account-number-->
   <xsl:template name="un-out:alternate_title_account-number">
      <xsl:call-template name="un-in:alternate_title_account-number"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_account-number"/>

<!--Branch: account-number-->
   <xsl:template name="un-out:account-number">
      <xsl:call-template name="un-in:account-number"/>
   </xsl:template>
   <xsl:template name="un-in:account-number">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_port-of-discharge-->
   <xsl:template name="un-out:alternate_title_port-of-discharge">
      <xsl:call-template name="un-in:alternate_title_port-of-discharge"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_port-of-discharge"/>

<!--Branch: port-of-discharge-->
   <xsl:template name="un-out:port-of-discharge">
      <xsl:call-template name="un-in:port-of-discharge"/>
   </xsl:template>
   <xsl:template name="un-in:port-of-discharge">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_place-of-delivery-->
   <xsl:template name="un-out:alternate_title_place-of-delivery">
      <xsl:call-template name="un-in:alternate_title_place-of-delivery"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_place-of-delivery"/>

<!--Branch: place-of-delivery-->
   <xsl:template name="un-out:place-of-delivery">
      <xsl:call-template name="un-in:place-of-delivery"/>
   </xsl:template>
   <xsl:template name="un-in:place-of-delivery">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_account-name-->
   <xsl:template name="un-out:alternate_title_account-name">
      <xsl:call-template name="un-in:alternate_title_account-name"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_account-name"/>

<!--Branch: account-name-->
   <xsl:template name="un-out:account-name">
      <xsl:call-template name="un-in:account-name"/>
   </xsl:template>
   <xsl:template name="un-in:account-name">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_shipping-marks-container-number-->
   <xsl:template name="un-out:alternate_title_shipping-marks-container-number">
      <xsl:call-template name="un-in:alternate_title_shipping-marks-container-number"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_shipping-marks-container-number"/>

<!--Branch: shipping-marks-container-number-->
   <xsl:template name="un-out:shipping-marks-container-number">
      <xsl:call-template name="un-in:shipping-marks-container-number"/>
   </xsl:template>
   <xsl:template name="un-in:shipping-marks-container-number">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_no-and-kind-of-packages-description-of-goods-->
   <xsl:template name="un-out:alternate_title_no-and-kind-of-packages-description-of-goods">
      <xsl:call-template name="un-in:alternate_title_no-and-kind-of-packages-description-of-goods"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_no-and-kind-of-packages-description-of-goods"/>

<!--Branch: no-and-kind-of-packages-description-of-goods-->
   <xsl:template name="un-out:no-and-kind-of-packages-description-of-goods">
      <xsl:call-template name="un-in:no-and-kind-of-packages-description-of-goods"/>
   </xsl:template>
   <xsl:template name="un-in:no-and-kind-of-packages-description-of-goods">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-gross-weight-kg-->
   <xsl:template name="un-out:alternate_title_total-gross-weight-kg">
      <xsl:call-template name="un-in:alternate_title_total-gross-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-gross-weight-kg"/>

<!--Branch: total-gross-weight-kg-->
   <xsl:template name="un-out:total-gross-weight-kg">
      <xsl:call-template name="un-in:total-gross-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:total-gross-weight-kg">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-cubem3-->
   <xsl:template name="un-out:alternate_title_total-cubem3">
      <xsl:call-template name="un-in:alternate_title_total-cubem3"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-cubem3"/>

<!--Branch: total-cubem3-->
   <xsl:template name="un-out:total-cubem3">
      <xsl:call-template name="un-in:total-cubem3"/>
   </xsl:template>
   <xsl:template name="un-in:total-cubem3">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-net-weight-kg-->
   <xsl:template name="un-out:alternate_title_total-net-weight-kg">
      <xsl:call-template name="un-in:alternate_title_total-net-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-net-weight-kg"/>

<!--Branch: total-net-weight-kg-->
   <xsl:template name="un-out:total-net-weight-kg">
      <xsl:call-template name="un-in:total-net-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:total-net-weight-kg">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_item-references-->
   <xsl:template name="un-out:alternate_title_item-references">
      <xsl:call-template name="un-in:alternate_title_item-references"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_item-references"/>

<!--Branch: alternate_title_description-->
   <xsl:template name="un-out:alternate_title_description">
      <xsl:call-template name="un-in:alternate_title_description"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_description"/>

<!--Branch: alternate_title_country-of-origin-line-->
   <xsl:template name="un-out:alternate_title_country-of-origin-line">
      <xsl:call-template name="un-in:alternate_title_country-of-origin-line"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_country-of-origin-line"/>

<!--Branch: alternate_title_commodity-code-->
   <xsl:template name="un-out:alternate_title_commodity-code">
      <xsl:call-template name="un-in:alternate_title_commodity-code"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_commodity-code"/>

<!--Branch: alternate_title_quantity-->
   <xsl:template name="un-out:alternate_title_quantity">
      <xsl:call-template name="un-in:alternate_title_quantity"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_quantity"/>

<!--Branch: alternate_title_unit-price-->
   <xsl:template name="un-out:alternate_title_unit-price">
      <xsl:call-template name="un-in:alternate_title_unit-price"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_unit-price"/>

<!--Branch: alternate_title_amount-->
   <xsl:template name="un-out:alternate_title_amount">
      <xsl:call-template name="un-in:alternate_title_amount"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_amount"/>

<!--Branch: alternate_title_notes-->
   <xsl:template name="un-out:alternate_title_notes">
      <xsl:call-template name="un-in:alternate_title_notes"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_notes"/>

<!--Branch: notes-->
   <xsl:template name="un-out:notes">
      <xsl:call-template name="un-in:notes"/>
   </xsl:template>
   <xsl:template name="un-in:notes">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-amount-->
   <xsl:template name="un-out:alternate_title_total-amount">
      <xsl:call-template name="un-in:alternate_title_total-amount"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-amount"/>

<!--Branch: total-amount-->
   <xsl:template name="un-out:total-amount">
      <xsl:call-template name="un-in:total-amount"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-tax-amount-->
   <xsl:template name="un-out:alternate_title_total-tax-amount">
      <xsl:call-template name="un-in:alternate_title_total-tax-amount"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-tax-amount"/>

<!--Branch: total-tax-amount-->
   <xsl:template name="un-out:total-tax-amount">
      <xsl:call-template name="un-in:total-tax-amount"/>
   </xsl:template>
   <xsl:template name="un-in:total-tax-amount">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_total-amount-due-->
   <xsl:template name="un-out:alternate_title_total-amount-due">
      <xsl:call-template name="un-in:alternate_title_total-amount-due"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_total-amount-due"/>

<!--Branch: total-amount-due-->
   <xsl:template name="un-out:total-amount-due">
      <xsl:call-template name="un-in:total-amount-due"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount-due">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_signatory-->
   <xsl:template name="un-out:alternate_title_signatory">
      <xsl:call-template name="un-in:alternate_title_signatory"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_signatory"/>

<!--Branch: signatory-->
   <xsl:template name="un-out:signatory">
      <xsl:call-template name="un-in:signatory"/>
   </xsl:template>
   <xsl:template name="un-in:signatory">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_issue-->
   <xsl:template name="un-out:alternate_title_issue">
      <xsl:call-template name="un-in:alternate_title_issue"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_issue"/>

<!--Branch: issue-->
   <xsl:template name="un-out:issue">
      <xsl:call-template name="un-in:issue"/>
   </xsl:template>
   <xsl:template name="un-in:issue">
      <block/>
   </xsl:template>

<!--Branch: alternate_title_signature-->
   <xsl:template name="un-out:alternate_title_signature">
      <xsl:call-template name="un-in:alternate_title_signature"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_signature"/>

<!--Branch: signature-->
   <xsl:template name="un-out:signature">
      <xsl:call-template name="un-in:signature"/>
   </xsl:template>
   <xsl:template name="un-in:signature">
      <block/>
   </xsl:template>

<!--Branch: document-number-->
   <xsl:template name="un-out:document-number">
      <xsl:call-template name="un-in:document-number"/>
   </xsl:template>
   <xsl:template name="un-in:document-number">
      <block font-weight="bold" font-family="{$sans-serif-family}" end-indent="2pt" font-size="{$sans-serif-size-docnum}">380</block>
   </xsl:template>

<!--Branch: background-rest-page-->
   <xsl:template name="un-out:background-rest-page">
      <xsl:call-template name="un-in:background-rest-page"/>
   </xsl:template>
   <xsl:template name="un-in:background-rest-page">
      <static-content flow-name="rest">
         <table width="183mm + 10mm" table-layout="fixed">
            <table-column column-width="10mm"/>
            <table-column column-width="183mm div 2" number-columns-repeated="2"/>
            <table-body>
               <xsl:call-template name="un-out:titling"/>
               <table-row>
                  <table-cell number-columns-spanned="2" number-rows-spanned="2">
                     <table width="183mm" table-layout="fixed">
                        <table-column column-width="( 183mm div 8 )" number-columns-repeated="8"/>
                        <xsl:call-template name="un-out:form-header2"/>
                     </table>
                  </table-cell>
               </table-row>
               <table-row>
                  <table-cell display-align="after">
                     <block text-align="end">
                        <xsl:call-template name="un-out:document-number"/>
                     </block>
                  </table-cell>
               </table-row>
            </table-body>
         </table>
      </static-content>
   </xsl:template>

<!--Branch: form-header2-->
   <xsl:template name="un-out:form-header2">
      <xsl:call-template name="un-in:form-header2"/>
   </xsl:template>
   <xsl:template name="un-in:form-header2">
      <table-body>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="3" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 6 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Seller<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_seller-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:seller-party"/>
                 
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                 
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice number<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_in-number"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:in-number"/>
                
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-start-color="grey" border-color="black" border-width="0.2mm" padding="1mm" background-color="#e8e8e8">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">
                        <leader/>						
                     </block>
					 <xsl:call-template name="un-out:document-type"/>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <!--
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice date (tax point)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_invoice-date"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:invoice-date"/>
					 -->
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Invoice period (from   to)<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_invoice-date"/>
                        </inline>
                     </block>
					 <xsl:call-template name="un-out:invoice-period"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Seller's reference<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_seller-reference"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:seller-reference"/>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer's reference<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-reference"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-reference"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="2" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Purchase order date<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_po-date"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:po-date"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 2 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 2 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Consignee<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_consignee-party"/>
                        </inline>
                     </block>
					 <xsl:call-template name="un-out:consignee-party"/>
               </block-container>
            </table-cell>
         </table-row>
		 <table-row height="( 262mm div 64 ) * 10 -                           .10pt">
            <table-cell number-rows-spanned="2" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 12 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">
					 <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Delivery<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_consignee-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:delivery"/>

               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-after-style="none">
               <block-container height="( 262mm div 64 ) * 8 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-party"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-party"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 4 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 4 -                                      2 * .10pt" width="( 183mm div 8 ) * 4 -                                      2 * .10pt" overflow="error-if-overflow">

                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Buyer bank<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_buyer-bank"/>
                        </inline>
                     </block>
                     <xsl:call-template name="un-out:buyer-bank"/>

               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 64 ) * 52 -                           .10pt">
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Item / References<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_item-references_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 2 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Description<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_description_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Country of origin<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_country-of-origin_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-start-style="dotted" border-start-color="#e8e8e8" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Commodity code<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_commodity-code_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Quantity<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_quantity_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm" border-end-style="none">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Unit price<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_unit-price_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="1" border-style="solid" border-color="black" border-width="0.2mm" padding="1mm">
               <block-container height="( 262mm div 64 ) * 52 -                                      2 * .10pt" width="( 183mm div 8 ) * 1 -                                      2 * .10pt" overflow="error-if-overflow">
                  
                     <block font-family="{$sans-serif-family}" font-size="{$sans-serif-size-label}" space-after="1pt" text-align-last="justify">Amount<leader leader-length.optimum="0pt" keep-with-previous="always"/>
                        <leader leader-length.optimum="0pt" keep-with-next="always"/>
                        <inline keep-together.within-line="always">
                           <xsl:call-template name="un-out:alternate_title_amount_2"/>
                        </inline>
                     </block>
                  
               </block-container>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>

<!--Branch: alternate_title_item-references_2-->
   <xsl:template name="un-out:alternate_title_item-references_2">
      <xsl:call-template name="un-in:alternate_title_item-references_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_item-references_2"/>

<!--Branch: alternate_title_description_2-->
   <xsl:template name="un-out:alternate_title_description_2">
      <xsl:call-template name="un-in:alternate_title_description_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_description_2"/>

<!--Branch: alternate_title_country-of-origin_2-->
   <xsl:template name="un-out:alternate_title_country-of-origin_2">
      <xsl:call-template name="un-in:alternate_title_country-of-origin_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_country-of-origin_2"/>

<!--Branch: alternate_title_commodity-code_2-->
   <xsl:template name="un-out:alternate_title_commodity-code_2">
      <xsl:call-template name="un-in:alternate_title_commodity-code_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_commodity-code_2"/>

<!--Branch: alternate_title_quantity_2-->
   <xsl:template name="un-out:alternate_title_quantity_2">
      <xsl:call-template name="un-in:alternate_title_quantity_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_quantity_2"/>

<!--Branch: alternate_title_unit-price_2-->
   <xsl:template name="un-out:alternate_title_unit-price_2">
      <xsl:call-template name="un-in:alternate_title_unit-price_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_unit-price_2"/>

<!--Branch: alternate_title_amount_2-->
   <xsl:template name="un-out:alternate_title_amount_2">
      <xsl:call-template name="un-in:alternate_title_amount_2"/>
   </xsl:template>
   <xsl:template name="un-in:alternate_title_amount_2"/>

<!--Branch: lineitem-table-->
   <xsl:template name="un-out:lineitem-table">
      <xsl:call-template name="un-in:lineitem-table"/>
   </xsl:template>
   <xsl:template name="un-in:lineitem-table">
      <xsl:call-template name="un-out:lineitem-spacer"/>
      <table-row keep-together.within-page="always">
         <xsl:call-template name="un-out:lineitem"/>
      </table-row>
   </xsl:template>

<!--Branch: lineitem-spacer-->
   <xsl:template name="un-out:lineitem-spacer">
      <xsl:call-template name="un-in:lineitem-spacer"/>
   </xsl:template>
   <xsl:template name="un-in:lineitem-spacer">
      <table-row font-size=".5em">
         <table-cell>
            <block>
               <leader/>
            </block>
         </table-cell>
      </table-row>
   </xsl:template>

<!--Branch: lineitem-->
   <xsl:template name="un-out:lineitem">
      <xsl:call-template name="un-in:lineitem"/>
   </xsl:template>
   <xsl:template name="un-in:lineitem">
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:item-references"/>
      </table-cell>
      <table-cell number-columns-spanned="2" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:description"/>
      </table-cell>
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:country-of-origin-line"/>
      </table-cell>
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:commodity-code"/>
      </table-cell>
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:quantity"/>
      </table-cell>
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:unit-price"/>
      </table-cell>
      <table-cell number-columns-spanned="1" start-indent="2pt" end-indent="2pt">
         <xsl:call-template name="un-out:amount"/>
      </table-cell>
   </xsl:template>

<!--Branch: item-references-->
   <xsl:template name="un-out:item-references">
      <xsl:call-template name="un-in:item-references"/>
   </xsl:template>
   <xsl:template name="un-in:item-references">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: description-->
   <xsl:template name="un-out:description">
      <xsl:call-template name="un-in:description"/>
   </xsl:template>
   <xsl:template name="un-in:description">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: country-of-origin-line-->
   <xsl:template name="un-out:country-of-origin-line">
      <xsl:call-template name="un-in:country-of-origin-line"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-origin-line">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: commodity-code-->
   <xsl:template name="un-out:commodity-code">
      <xsl:call-template name="un-in:commodity-code"/>
   </xsl:template>
   <xsl:template name="un-in:commodity-code">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: quantity-->
   <xsl:template name="un-out:quantity">
      <xsl:call-template name="un-in:quantity"/>
   </xsl:template>
   <xsl:template name="un-in:quantity">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: unit-price-->
   <xsl:template name="un-out:unit-price">
      <xsl:call-template name="un-in:unit-price"/>
   </xsl:template>
   <xsl:template name="un-in:unit-price">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: amount-->
   <xsl:template name="un-out:amount">
      <xsl:call-template name="un-in:amount"/>
   </xsl:template>
   <xsl:template name="un-in:amount">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: item-references_2-->
   <xsl:template name="un-out:item-references_2">
      <xsl:call-template name="un-in:item-references_2"/>
   </xsl:template>
   <xsl:template name="un-in:item-references_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: description_2-->
   <xsl:template name="un-out:description_2">
      <xsl:call-template name="un-in:description_2"/>
   </xsl:template>
   <xsl:template name="un-in:description_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: country-of-origin_2-->
   <xsl:template name="un-out:country-of-origin_2">
      <xsl:call-template name="un-in:country-of-origin_2"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-origin_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: commodity-code_2-->
   <xsl:template name="un-out:commodity-code_2">
      <xsl:call-template name="un-in:commodity-code_2"/>
   </xsl:template>
   <xsl:template name="un-in:commodity-code_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: quantity_2-->
   <xsl:template name="un-out:quantity_2">
      <xsl:call-template name="un-in:quantity_2"/>
   </xsl:template>
   <xsl:template name="un-in:quantity_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: unit-price_2-->
   <xsl:template name="un-out:unit-price_2">
      <xsl:call-template name="un-in:unit-price_2"/>
   </xsl:template>
   <xsl:template name="un-in:unit-price_2">
      <block text-align-last="justify"/>
   </xsl:template>

<!--Branch: amount_2-->
   <xsl:template name="un-out:amount_2">
      <xsl:call-template name="un-in:amount_2"/>
   </xsl:template>
   <xsl:template name="un-in:amount_2">
      <block text-align-last="justify"/>
   </xsl:template>
</xsl:stylesheet>