<?xml version="1.0" encoding="ISO-8859-1"?>
<!--

    This file is part of FatturazioneElettronica - Portlets - peppol-incoming

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Portlets - peppol-incoming is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Portlets - peppol-incoming is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Portlets - peppol-incoming.  If not, see <http://www.gnu.org/licenses/>.

-->
<xsl:stylesheet xmlns:sch="http://www.ascc.net/xml/schematron"
    xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="svrl xsl iso sch"
    version="1.0">
    <xsl:output method="html" standalone="no" indent="yes" doctype-public="-//W3C//DTD SVG 1.0//EN"
        omit-xml-declaration="yes"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="svrl:schematron-output/attribute::title"/>
                </title>
            </head>
            <body>
                <h2>Validation against italian business rules Report</h2>
                <table border="1">
                    <tr>
                        <th><font color="blue">Level</font></th>
                        <th><font color="blue">Error description</font></th>
                    </tr>
                    <xsl:for-each select="//svrl:failed-assert">
                        <tr>
                            <xsl:choose>
                                <xsl:when test="attribute::flag = 'Fatal'">
                                    <th align="left">

                                        <font color="red">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>
                                
                                <xsl:when test="attribute::flag = 'fatal'">
                                    <th align="left">
                                        
                                        <font color="red">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>
                                
                                <xsl:when test="attribute::flag ='FATAL'">
                                    <th align="left">
                                        
                                        <font color="red">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>
                                <xsl:when test="attribute::flag = 'Warning'">
                                    <th align="left">
                                        <font color="green">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>
                                <xsl:when test="attribute::flag = 'warning'">
                                    <th align="left">
                                        <font color="green">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>
                                <xsl:when test="attribute::flag = 'WARNING'">
                                    <th align="left">
                                        <font color="green">
                                            <xsl:value-of select="attribute::flag"/>
                                        </font>
                                    </th>
                                    <th align="left">
                                        <font>
                                            <xsl:value-of select="svrl:text"/>
                                        </font>
                                    </th>
                                </xsl:when>                                
                            </xsl:choose>
                        </tr>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
