<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" exclude-result-prefixes="un-in un-out" version="1.0">
<!--

    This file is part of FatturazioneElettronica - Portlets - Skeleton

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Portlets - Skeleton is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Portlets - Skeleton is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Portlets - Skeleton.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
CraneUBL2UN380Invoice-html-EN.xsl
   - wrapper stylesheet for CraneUN380Invoice to access instances of 
     UBL 2 Invoice
   - this stylesheet produces an instance of HTML suitable for viewing in a
     browser

     $ Id$
-->
<!--
Copyright (C) - Crane Softwrights Ltd.
              - http://www.CraneSoftwrights.com/links/res-un-s.htm

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.
- The name of the author may not be used to endorse or promote products
  derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2003-07-26 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5
-->

<xsl:import href="CraneUN380Invoice-html-EN.xsl"/>
<xsl:import href="CraneUBL2UNLK-common.xsl"/>
<xsl:import href="CraneUBL2UN380Invoice-common.xsl"/>

<xsl:template name="un-out:form-comment">
<xsl:comment xml:space="preserve">
This HTML rendering is produced using stylesheets from Crane Softwrights Ltd.:
   
     http://www.CraneSoftwrights.com/links/res-un-f.htm

     The CSS styles in this stylesheet can be 
     overridden by providing the file named 

     "CraneUBL2UN380Invoice-override.css" 

     in the local directory of this HTML file.
<xsl:call-template name="un-out:caller-identification"/>
CraneUBL2UN380Invoice-html.xsl <xsl:call-template name="un-out:revision"/> 
<xsl:call-template name="un-out:check_alternate_revision"/>
</xsl:comment></xsl:template>

<!--The overridden indication of a second language-->
<xsl:variable name="un-out:language"/>

<xsl:template name="un-out:form-title">INVOICE</xsl:template>
<xsl:template name="un-out:alternate_form-title"/>
<xsl:template name="un-out:check_alternate_form-title"><xsl:if test="$un-out:language"> - </xsl:if><xsl:call-template name="un-out:alternate_form-title"/></xsl:template>
<xsl:template name="un-out:check_alternate_revision"><xsl:if test="$un-out:language"> - </xsl:if><xsl:call-template name="un-out:alternate_revision"/></xsl:template>
<xsl:template name="un-out:check_alternate_title_seller-party"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_seller-party"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_in-number"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_in-number"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_invoice-date"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_invoice-date"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_seller-reference"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_seller-reference"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_buyer-reference"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_buyer-reference"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_po-date"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_po-date"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_consignee-party"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_consignee-party"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_buyer-party"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_buyer-party"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_buyer-bank"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_buyer-bank"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_country-of-origin"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_country-of-origin"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_country-of-destination"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_country-of-destination"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_mode-of-transport"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_mode-of-transport"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_date-of-despatch"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_date-of-despatch"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_payment-terms"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_payment-terms"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_payment-currency"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_payment-currency"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_means-of-transport"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_means-of-transport"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_place-of-despatch"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_place-of-despatch"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_vessel-flight-no"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_vessel-flight-no"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_port-of-loading"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_port-of-loading"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_seller-bank"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_seller-bank"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_sort-code"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_sort-code"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_account-number"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_account-number"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_port-of-discharge"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_port-of-discharge"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_place-of-delivery"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_place-of-delivery"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_account-name"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_account-name"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_shipping-marks-container-number"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_shipping-marks-container-number"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_no-and-kind-of-packages-description-of-goods"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_no-and-kind-of-packages-description-of-goods"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-gross-weight-kg"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-gross-weight-kg"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-cubem3"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-cubem3"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-net-weight-kg"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-net-weight-kg"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_item-references"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_item-references"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_description"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_description"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_country-of-origin-line"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_country-of-origin-line"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_commodity-code"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_commodity-code"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_quantity"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_quantity"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_unit-price"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_unit-price"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_amount"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_amount"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_notes"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_notes"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-amount"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-amount"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-tax-amount"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-tax-amount"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_total-amount-due"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_total-amount-due"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_signatory"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_signatory"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_issue"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_issue"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_signature"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_signature"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_item-references_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_item-references_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_description_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_description_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_country-of-origin_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_country-of-origin_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_commodity-code_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_commodity-code_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_quantity_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_quantity_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_unit-price_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_unit-price_2"/></div></xsl:template>
<xsl:template name="un-out:check_alternate_title_amount_2"><div class="crane-alternate-box-label"><xsl:call-template name="un-out:alternate_title_amount_2"/></div></xsl:template>
<!--Placebos overwritten by language-->
<xsl:template name="un-out:alternate_revision"/><xsl:template name="un-out:alternate_title_seller-party"/>
<xsl:template name="un-out:alternate_title_in-number"/>
<xsl:template name="un-out:alternate_title_invoice-date"/>
<xsl:template name="un-out:alternate_title_seller-reference"/>
<xsl:template name="un-out:alternate_title_buyer-reference"/>
<xsl:template name="un-out:alternate_title_po-date"/>
<xsl:template name="un-out:alternate_title_consignee-party"/>
<xsl:template name="un-out:alternate_title_buyer-party"/>
<xsl:template name="un-out:alternate_title_buyer-bank"/>
<xsl:template name="un-out:alternate_title_country-of-origin"/>
<xsl:template name="un-out:alternate_title_country-of-destination"/>
<xsl:template name="un-out:alternate_title_mode-of-transport"/>
<xsl:template name="un-out:alternate_title_date-of-despatch"/>
<xsl:template name="un-out:alternate_title_payment-terms"/>
<xsl:template name="un-out:alternate_title_payment-currency"/>
<xsl:template name="un-out:alternate_title_means-of-transport"/>
<xsl:template name="un-out:alternate_title_place-of-despatch"/>
<xsl:template name="un-out:alternate_title_vessel-flight-no"/>
<xsl:template name="un-out:alternate_title_port-of-loading"/>
<xsl:template name="un-out:alternate_title_seller-bank"/>
<xsl:template name="un-out:alternate_title_sort-code"/>
<xsl:template name="un-out:alternate_title_account-number"/>
<xsl:template name="un-out:alternate_title_port-of-discharge"/>
<xsl:template name="un-out:alternate_title_place-of-delivery"/>
<xsl:template name="un-out:alternate_title_account-name"/>
<xsl:template name="un-out:alternate_title_shipping-marks-container-number"/>
<xsl:template name="un-out:alternate_title_no-and-kind-of-packages-description-of-goods"/>
<xsl:template name="un-out:alternate_title_total-gross-weight-kg"/>
<xsl:template name="un-out:alternate_title_total-cubem3"/>
<xsl:template name="un-out:alternate_title_total-net-weight-kg"/>
<xsl:template name="un-out:alternate_title_item-references"/>
<xsl:template name="un-out:alternate_title_description"/>
<xsl:template name="un-out:alternate_title_country-of-origin-line"/>
<xsl:template name="un-out:alternate_title_commodity-code"/>
<xsl:template name="un-out:alternate_title_quantity"/>
<xsl:template name="un-out:alternate_title_unit-price"/>
<xsl:template name="un-out:alternate_title_amount"/>
<xsl:template name="un-out:alternate_title_notes"/>
<xsl:template name="un-out:alternate_title_total-amount"/>
<xsl:template name="un-out:alternate_title_total-tax-amount"/>
<xsl:template name="un-out:alternate_title_total-amount-due"/>
<xsl:template name="un-out:alternate_title_signatory"/>
<xsl:template name="un-out:alternate_title_issue"/>
<xsl:template name="un-out:alternate_title_signature"/>
<xsl:template name="un-out:alternate_title_item-references_2"/>
<xsl:template name="un-out:alternate_title_description_2"/>
<xsl:template name="un-out:alternate_title_country-of-origin_2"/>
<xsl:template name="un-out:alternate_title_commodity-code_2"/>
<xsl:template name="un-out:alternate_title_quantity_2"/>
<xsl:template name="un-out:alternate_title_unit-price_2"/>
<xsl:template name="un-out:alternate_title_amount_2"/>
</xsl:stylesheet>